Debian Bug report logs - #482503
gtkrsync - FTBFS: undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziWindowsziMessageDialog_a4_entry '

version graph

Package: libghc6-gtk-dev; Maintainer for libghc6-gtk-dev is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>; Source for libghc6-gtk-dev is src:haskell-dummy.

Reported by: Bastian Blank <waldi@debian.org>

Date: Fri, 23 May 2008 08:36:15 UTC

Severity: serious

Merged with 435536

Fixed in version gtk2hs/0.9.13-5

Done: Marco Túlio Gontijo e Silva <marcot@holoscopio.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, John Goerzen <jgoerzen@complete.org>:
Bug#482503; Package gtkrsync. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
New Bug report received and forwarded. Copy sent to John Goerzen <jgoerzen@complete.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: submit@bugs.debian.org
Subject: gtkrsync - FTBFS: undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziWindowsziMessageDialog_a4_entry '
Date: Fri, 23 May 2008 10:33:12 +0200
Package: gtkrsync
Version: 1.0.2
Severity: serious

There was an error while trying to autobuild your package:

> Automatic build of gtkrsync_1.0.2 on debian-31.osdl.marist.edu by sbuild/s390 98
[...]
> [4 of 4] Compiling Main             ( ./gtkrsync.hs, dist/build/gtkrsync/gtkrsync-tmp/Main.o )
> Linking dist/build/gtkrsync/gtkrsync ...
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `RsyncGUI_a4_entry':
> ghc18648_0.hc:(.text+0x99c): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziWindowsziMessageDialog_a4_entry'
> ghc18648_0.hc:(.text+0x9a4): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziWindowsziMessageDialog_MessageError_closure'
> ghc18648_0.hc:(.text+0x9a8): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziWindowsziMessageDialog_ButtonsOk_closure'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7hn_ret':
> ghc18648_0.hc:(.text+0xd40): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziDisplayziLabel_zdwa24_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7hf_ret':
> ghc18648_0.hc:(.text+0x10b8): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziDisplayziLabel_zdwa24_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7kl_ret':
> ghc18648_0.hc:(.text+0x179c): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziDisplayziLabel_zdwa24_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7k4_ret':
> ghc18648_0.hc:(.text+0x1c14): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziDisplayziLabel_zdwa24_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7nS_ret':
> ghc18648_0.hc:(.text+0x233c): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziDisplayziLabel_zdwa24_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o:ghc18648_0.hc:(.text+0x26a8): more undefined references to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziDisplayziLabel_zdwa24_entry' follow
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7ux_ret':
> ghc18648_0.hc:(.text+0x35b4): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziMultilineziTextBuffer_zdwa32_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7uw_ret':
> ghc18648_0.hc:(.text+0x3628): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziMultilineziTextBuffer_zdwa14_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7ur_ret':
> ghc18648_0.hc:(.text+0x379c): undefined reference to `glibzm0zi9zi12zi1_SystemziGlibziGTypeConstants_a3_closure'
> ghc18648_0.hc:(.text+0x37a0): undefined reference to `glibzm0zi9zi12zi1_SystemziGlibziGValueTypes_a_closure'
> ghc18648_0.hc:(.text+0x37a4): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziMiscziAdjustment_a11_closure'
> ghc18648_0.hc:(.text+0x37a8): undefined reference to `glibzm0zi9zi12zi1_SystemziGlibziProperties_zdwa1_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7uj_ret':
> ghc18648_0.hc:(.text+0x37f4): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziScrollingziScrolledWindow_zdwa9_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7uC_ret':
> ghc18648_0.hc:(.text+0x38a0): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziMultilineziTextBuffer_zdwa38_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7uB_ret':
> ghc18648_0.hc:(.text+0x38f4): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziMultilineziTextBuffer_zdwa17_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7ue_ret':
> ghc18648_0.hc:(.text+0x3a00): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziMultilineziTextBuffer_zdwa44_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7ud_ret':
> ghc18648_0.hc:(.text+0x3a6c): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziMultilineziTextBuffer_zdwa38_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7uc_ret':
> ghc18648_0.hc:(.text+0x3ac0): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziMultilineziTextBuffer_zdwa16_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `RsyncGUI_zdwa1_entry':
> ghc18648_0.hc:(.text+0x3b1c): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziMultilineziTextBuffer_zdwa14_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7wM_ret':
> ghc18648_0.hc:(.text+0x4128): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziMultilineziTextBuffer_zdwa46_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7wL_ret':
> ghc18648_0.hc:(.text+0x4170): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziMultilineziTextBuffer_zdwa14_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `RsyncGUI_zdwa2_entry':
> ghc18648_0.hc:(.text+0x41cc): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziMultilineziTextView_zdwa37_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7yg_ret':
> ghc18648_0.hc:(.text+0x435c): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziMultilineziTextBuffer_zdwa32_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7yf_ret':
> ghc18648_0.hc:(.text+0x43d0): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziMultilineziTextBuffer_zdwa14_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7ya_ret':
> ghc18648_0.hc:(.text+0x4544): undefined reference to `glibzm0zi9zi12zi1_SystemziGlibziGTypeConstants_a3_closure'
> ghc18648_0.hc:(.text+0x4548): undefined reference to `glibzm0zi9zi12zi1_SystemziGlibziGValueTypes_a_closure'
> ghc18648_0.hc:(.text+0x454c): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziMiscziAdjustment_a11_closure'
> ghc18648_0.hc:(.text+0x4550): undefined reference to `glibzm0zi9zi12zi1_SystemziGlibziProperties_zdwa1_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7y2_ret':
> ghc18648_0.hc:(.text+0x459c): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziScrollingziScrolledWindow_zdwa9_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7yl_ret':
> ghc18648_0.hc:(.text+0x4648): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziMultilineziTextBuffer_zdwa38_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7yk_ret':
> ghc18648_0.hc:(.text+0x469c): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziMultilineziTextBuffer_zdwa17_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7xX_ret':
> ghc18648_0.hc:(.text+0x4790): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziMultilineziTextBuffer_zdwa44_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7xW_ret':
> ghc18648_0.hc:(.text+0x47fc): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziMultilineziTextBuffer_zdwa38_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7xV_ret':
> ghc18648_0.hc:(.text+0x4850): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziMultilineziTextBuffer_zdwa16_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `RsyncGUI_zdwa3_entry':
> ghc18648_0.hc:(.text+0x48ac): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziMultilineziTextBuffer_zdwa14_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `r6CA_entry':
> ghc18648_0.hc:(.text+0x5354): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziGeneralziGeneral_mainGUI_closure'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s6XG_entry':
> ghc18648_0.hc:(.text+0x538c): undefined reference to `glibzm0zi9zi12zi1_SystemziGlibziGError_lvl6_closure'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s6Yj_entry':
> ghc18648_0.hc:(.text+0x53c0): undefined reference to `glibzm0zi9zi12zi1_SystemziGlibziGError_lvl6_closure'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7Gt_ret':
> ghc18648_0.hc:(.text+0x55b0): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziButtonsziButton_lvl3_closure'
> ghc18648_0.hc:(.text+0x55b8): undefined reference to `glibzm0zi9zi12zi1_SystemziGlibziSignals_zdwa_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7Gs_ret':
> ghc18648_0.hc:(.text+0x5624): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziTypes_zdwcastToButton_closure'
> ghc18648_0.hc:(.text+0x5628): undefined reference to `gladezm0zi9zi12zi1_GraphicsziUIziGtkziGlade_zdwa1_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7Gr_ret':
> ghc18648_0.hc:(.text+0x568c): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziTypes_zdwcastToScrolledWindow_closure'
> ghc18648_0.hc:(.text+0x5690): undefined reference to `gladezm0zi9zi12zi1_GraphicsziUIziGtkziGlade_zdwa1_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7Gq_ret':
> ghc18648_0.hc:(.text+0x56f4): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziTypes_zdwcastToTextView_closure'
> ghc18648_0.hc:(.text+0x56f8): undefined reference to `gladezm0zi9zi12zi1_GraphicsziUIziGtkziGlade_zdwa1_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7Gp_ret':
> ghc18648_0.hc:(.text+0x575c): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziTypes_zdwcastToLabel_closure'
> ghc18648_0.hc:(.text+0x5760): undefined reference to `gladezm0zi9zi12zi1_GraphicsziUIziGtkziGlade_zdwa1_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7Go_ret':
> ghc18648_0.hc:(.text+0x57c4): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziTypes_zdwcastToLabel_closure'
> ghc18648_0.hc:(.text+0x57c8): undefined reference to `gladezm0zi9zi12zi1_GraphicsziUIziGtkziGlade_zdwa1_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7Gn_ret':
> ghc18648_0.hc:(.text+0x582c): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziTypes_zdwcastToProgressBar_closure'
> ghc18648_0.hc:(.text+0x5830): undefined reference to `gladezm0zi9zi12zi1_GraphicsziUIziGtkziGlade_zdwa1_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7Gl_ret':
> ghc18648_0.hc:(.text+0x5890): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziTypes_zdwcastToProgressBar_closure'
> ghc18648_0.hc:(.text+0x5898): undefined reference to `gladezm0zi9zi12zi1_GraphicsziUIziGtkziGlade_zdwa1_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7Gk_ret':
> ghc18648_0.hc:(.text+0x5950): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziAbstractziWidget_lvl36_closure'
> ghc18648_0.hc:(.text+0x5958): undefined reference to `glibzm0zi9zi12zi1_SystemziGlibziSignals_zdwa_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7Gj_ret':
> ghc18648_0.hc:(.text+0x5a0c): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziTypes_zdwcastToWindow_closure'
> ghc18648_0.hc:(.text+0x5a14): undefined reference to `gladezm0zi9zi12zi1_GraphicsziUIziGtkziGlade_zdwa1_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7Gg_ret':
> ghc18648_0.hc:(.text+0x5ab4): undefined reference to `gladezm0zi9zi12zi1_GraphicsziUIziGtkziGlade_a_closure'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7Ge_ret':
> ghc18648_0.hc:(.text+0x5b1c): undefined reference to `glibzm0zi9zi12zi1_SystemziGlibziMainLoop_priorityDefaultIdle_closure'
> ghc18648_0.hc:(.text+0x5b24): undefined reference to `glibzm0zi9zi12zi1_SystemziGlibziMainLoop_a7_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `RsyncGUI_a11_entry':
> ghc18648_0.hc:(.text+0x5b74): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziGeneralziGeneral_initGUI_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7Lq_ret':
> ghc18648_0.hc:(.text+0x6f4c): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziDisplayziLabel_zdwa24_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7KF_ret':
> ghc18648_0.hc:(.text+0x7ce0): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziDisplayziLabel_zdwa24_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7W3_ret':
> ghc18648_0.hc:(.text+0x862c): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziButtonsziButton_zdwa11_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7VV_ret':
> ghc18648_0.hc:(.text+0x8728): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziDisplayziLabel_zdwa24_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7VT_ret':
> ghc18648_0.hc:(.text+0x878c): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziDisplayziLabel_zdwa24_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `__stginit_RsyncGUI_':
> ghc18648_0.hc:(.text+0x8c9c): undefined reference to `__stginit_gtkzm0zi9zi12zi1_GraphicsziUIziGtk_'
> ghc18648_0.hc:(.text+0x8ca0): undefined reference to `__stginit_gladezm0zi9zi12zi1_GraphicsziUIziGtkziGlade_'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7Lb_ret':
> ghc18648_0.hc:(.text+0xb33c): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziDisplayziProgressBar_zdwa3_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s7LJ_ret':
> ghc18648_0.hc:(.text+0xb43c): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziDisplayziProgressBar_zdwa3_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s76O_ret':
> ghc18648_0.hc:(.text+0xb4c8): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziDisplayziProgressBar_zdwa3_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s76x_ret':
> ghc18648_0.hc:(.text+0xb554): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziDisplayziProgressBar_zdwa3_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s6Qp_ret':
> ghc18648_0.hc:(.text+0xb990): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziMultilineziTextBuffer_zdwa15_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `s6TQ_ret':
> ghc18648_0.hc:(.text+0xba14): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziMultilineziTextBuffer_zdwa15_entry'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o:(.data+0x164): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziWindowsziMessageDialog_a4_closure'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o:(.data+0x1b8): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziDisplayziLabel_zdwa24_closure'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o:(.data+0x200): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziDisplayziLabel_zdwa24_closure'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o:(.data+0x244): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziDisplayziLabel_zdwa24_closure'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o:(.data+0x274): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziMultilineziTextBuffer_zdwa44_closure'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o:(.data+0x278): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziScrollingziScrolledWindow_zdwa9_closure'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o:(.data+0x27c): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziMiscziAdjustment_a11_closure'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o:(.data+0x2bc): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziMultilineziTextBuffer_zdwa46_closure'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o:(.data+0x2c0): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziMultilineziTextView_zdwa37_closure'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o:(.data+0x30c): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziMultilineziTextBuffer_zdwa44_closure'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o:(.data+0x310): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziScrollingziScrolledWindow_zdwa9_closure'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o:(.data+0x314): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziMiscziAdjustment_a11_closure'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o:(.data+0x3f4): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziGeneralziGeneral_initGUI_closure'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o:(.data+0x3f8): undefined reference to `gladezm0zi9zi12zi1_GraphicsziUIziGtkziGlade_zdwa1_closure'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o:(.data+0x3fc): undefined reference to `gladezm0zi9zi12zi1_GraphicsziUIziGtkziGlade_a_closure'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o:(.data+0x400): undefined reference to `glibzm0zi9zi12zi1_SystemziGlibziGError_lvl6_closure'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o:(.data+0x404): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziTypes_zdwcastToProgressBar_closure'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o:(.data+0x408): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziTypes_zdwcastToTextView_closure'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o:(.data+0x40c): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziTypes_zdwcastToScrolledWindow_closure'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o:(.data+0x410): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziTypes_zdwcastToWindow_closure'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o:(.data+0x414): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziTypes_zdwcastToButton_closure'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o:(.data+0x418): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziTypes_zdwcastToLabel_closure'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o:(.data+0x41c): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziAbstractziWidget_lvl36_closure'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o:(.data+0x420): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziButtonsziButton_lvl3_closure'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o:(.data+0x4a8): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziDisplayziProgressBar_zdwa3_closure'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o:(.data+0x4b0): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziDisplayziLabel_zdwa24_closure'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o:(.data+0x58c): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziDisplayziProgressBar_zdwa3_closure'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o:(.data+0x590): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziDisplayziLabel_zdwa24_closure'
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o:(.data+0x594): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziButtonsziButton_zdwa11_closure'
> collect2: ld returned 1 exit status
> Preprocessing executables for gtkrsync-1.0.0...
> Building gtkrsync-1.0.0...
> make[1]: *** [all] Error 1
> make[1]: Leaving directory `/build/buildd/gtkrsync-1.0.2'
> make: *** [build-stamp] Error 2
> dpkg-buildpackage: failure: debian/rules build gave error exit status 2
> ******************************************************************************
> Build finished at 20080515-2227
> FAILED [dpkg-buildpackage died]




Bug reassigned from package `gtkrsync' to `libghc6-gtk-dev'. Request was from John Goerzen <jgoerzen@complete.org> to control@bugs.debian.org. (Fri, 23 May 2008 19:33:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Liyang HU <debian.org@liyang.hu>:
Bug#482503; Package libghc6-gtk-dev. Full text and rfc822 format available.

Acknowledgement sent to Axel Simon <Axel.Simon@ens.fr>:
Extra info received and forwarded to list. Copy sent to Liyang HU <debian.org@liyang.hu>. Full text and rfc822 format available.

Message #12 received at 482503@bugs.debian.org (full text, mbox):

From: Axel Simon <Axel.Simon@ens.fr>
To: Joachim Breitner <nomeata@debian.org>
Cc: gtk2hs-devel@lists.sourceforge.net, 482503@bugs.debian.org
Subject: Re: [Gtk2hs-devel] Build problem on s390
Date: Mon, 02 Jun 2008 11:59:20 +0200
On Mon, 2008-06-02 at 11:48 +0200, Joachim Breitner wrote:
> Hi,
> 
> I got a last build problem for the Debian package, this time on s390,
> and the problem appears in a different package: gtkrsync does not build,
> and the maintainer believes the problem lies within the gtk2hs package:
> 
> http://buildd.debian.org/fetch.cgi?pkg=gtkrsync;ver=1.0.2;arch=s390;stamp=1210904919
> 
> It has happened before and it was believed that gcc-4.1 was the problem,
> but this build happened with 4.3.
> 
> If someone here could please comment on that? (and please keep the
> bugs.debian.org-address in the CC?)


make[1]: Entering directory `/build/buildd/gtkrsync-1.0.2'
ghc -package Cabal Setup.lhs -o setup
./setup configure --prefix=/usr
Configuring gtkrsync-1.0.0...
./setup build
[1 of 4] Compiling RsyncParser      ( RsyncParser.hs, dist/build/gtkrsync/gtkrsync-tmp/RsyncParser.o )
[2 of 4] Compiling Paths_gtkrsync   ( dist/build/autogen/Paths_gtkrsync.hs, dist/build/gtkrsync/gtkrsync-tmp/Paths_gtkrsync.o )
[3 of 4] Compiling RsyncGUI         ( RsyncGUI.hs, dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o )
[4 of 4] Compiling Main             ( ./gtkrsync.hs, dist/build/gtkrsync/gtkrsync-tmp/Main.o )
Linking dist/build/gtkrsync/gtkrsync ...
dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `RsyncGUI_a4_entry':
ghc18648_0.hc:(.text+0x99c): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziWindowsziMessageDialog_a4_entry'
ghc18648_0.hc:(.text+0x9a4): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziWindowsziMessageDialog_MessageError_closure'

My guess would be that the Haskell gtk package might be hidden in ghc's
package list and therefore is not automatically linked in when building
this program. I don't know what changed with ghc 6.10 (which seems to
be the version that you're building with). It could also be that the
Gtk2Hs version was built with a different version of ghc. I wouldn't
blame gcc here since this error either relates to symbols having change
between versions of ghc or providing insufficient libraries to the
linker.

Axel.



> Thanks,
> Joachim
> 
> -------------------------------------------------------------------------
> This SF.net email is sponsored by: Microsoft
> Defy all challenges. Microsoft(R) Visual Studio 2008.
> http://clk.atdmt.com/MRT/go/vse0120000070mrt/direct/01/
> _______________________________________________ Gtk2hs-devel mailing list Gtk2hs-devel@lists.sourceforge.net https://lists.sourceforge.net/lists/listinfo/gtk2hs-devel





Information forwarded to debian-bugs-dist@lists.debian.org, Liyang HU <debian.org@liyang.hu>:
Bug#482503; Package libghc6-gtk-dev. Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Liyang HU <debian.org@liyang.hu>. Full text and rfc822 format available.

Message #17 received at 482503@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: gtk2hs-devel@lists.sourceforge.net
Cc: 482503@bugs.debian.org
Subject: Build problem on s390
Date: Mon, 02 Jun 2008 11:48:26 +0200
[Message part 1 (text/plain, inline)]
Hi,

I got a last build problem for the Debian package, this time on s390,
and the problem appears in a different package: gtkrsync does not build,
and the maintainer believes the problem lies within the gtk2hs package:

http://buildd.debian.org/fetch.cgi?pkg=gtkrsync;ver=1.0.2;arch=s390;stamp=1210904919

It has happened before and it was believed that gcc-4.1 was the problem,
but this build happened with 4.3.

If someone here could please comment on that? (and please keep the
bugs.debian.org-address in the CC?)

Thanks,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Forcibly Merged 435536 482503. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Mon, 02 Jun 2008 10:24:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Liyang HU <debian.org@liyang.hu>:
Bug#482503; Package libghc6-gtk-dev. Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Liyang HU <debian.org@liyang.hu>. Full text and rfc822 format available.

Message #24 received at 482503@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: gtk2hs-devel@lists.sourceforge.net
Cc: 482503@bugs.debian.org
Subject: Re: [Gtk2hs-devel] Build problem on s390
Date: Mon, 02 Jun 2008 12:26:05 +0200
[Message part 1 (text/plain, inline)]
Hi,

Am Montag, den 02.06.2008, 11:59 +0200 schrieb Axel Simon:
> On Mon, 2008-06-02 at 11:48 +0200, Joachim Breitner wrote:
> > Hi,
> > 
> > I got a last build problem for the Debian package, this time on s390,
> > and the problem appears in a different package: gtkrsync does not build,
> > and the maintainer believes the problem lies within the gtk2hs package:
> > 
> > http://buildd.debian.org/fetch.cgi?pkg=gtkrsync;ver=1.0.2;arch=s390;stamp=1210904919
> > 
> > It has happened before and it was believed that gcc-4.1 was the problem,
> > but this build happened with 4.3.
> > 
> > If someone here could please comment on that? (and please keep the
> > bugs.debian.org-address in the CC?)
> 
> 
> make[1]: Entering directory `/build/buildd/gtkrsync-1.0.2'
> ghc -package Cabal Setup.lhs -o setup
> ./setup configure --prefix=/usr
> Configuring gtkrsync-1.0.0...
> ./setup build
> [1 of 4] Compiling RsyncParser      ( RsyncParser.hs, dist/build/gtkrsync/gtkrsync-tmp/RsyncParser.o )
> [2 of 4] Compiling Paths_gtkrsync   ( dist/build/autogen/Paths_gtkrsync.hs, dist/build/gtkrsync/gtkrsync-tmp/Paths_gtkrsync.o )
> [3 of 4] Compiling RsyncGUI         ( RsyncGUI.hs, dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o )
> [4 of 4] Compiling Main             ( ./gtkrsync.hs, dist/build/gtkrsync/gtkrsync-tmp/Main.o )
> Linking dist/build/gtkrsync/gtkrsync ...
> dist/build/gtkrsync/gtkrsync-tmp/RsyncGUI.o: In function `RsyncGUI_a4_entry':
> ghc18648_0.hc:(.text+0x99c): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziWindowsziMessageDialog_a4_entry'
> ghc18648_0.hc:(.text+0x9a4): undefined reference to `gtkzm0zi9zi12zi1_GraphicsziUIziGtkziWindowsziMessageDialog_MessageError_closure'
> 
> My guess would be that the Haskell gtk package might be hidden in ghc's
> package list and therefore is not automatically linked in when building
> this program. I don't know what changed with ghc 6.10 (which seems to
> be the version that you're building with). It could also be that the
> Gtk2Hs version was built with a different version of ghc. I wouldn't
> blame gcc here since this error either relates to symbols having change
> between versions of ghc or providing insufficient libraries to the
> linker.

Thanks for your reply

It is built with ghc6.8 (ghc6_6.8.2-5 to be specific), and I don’t know
why gtk should be hidden: 


Setting up libghc6-cairo-dev (0.9.12.1-1.1) ...
WARNING: unversioned dependencies are deprecated, and will NOT be accepted by GHC 6.10: base
Reading package info from "/usr/lib/haskell-packages/ghc6/lib/cairo-0.9.12.1/cairo.package.conf" ... done.
Saving old package config file... done.
Writing new package config file... done.

Setting up libpango1.0-dev (1.20.2-2) ...
Setting up libgtk2.0-dev (2.12.9-4) ...
Setting up libglade2-dev (2.6.2-1) ...

Setting up libghc6-gtk-dev (0.9.12.1-1.1) ...
WARNING: unversioned dependencies are deprecated, and will NOT be accepted by GHC 6.10: base
Reading package info from "/usr/lib/haskell-packages/ghc6/lib/gtk-0.9.12.1/gtk.package.conf" ... done.
Saving old package config file... done.
Writing new package config file... done.

Setting up libghc6-glade-dev (0.9.12.1-1.1) ...
WARNING: unversioned dependencies are deprecated, and will NOT be accepted by GHC 6.10: base
Reading package info from "/usr/lib/haskell-packages/ghc6/lib/glade-0.9.12.1/glade.package.conf" ... done.
Saving old package config file... done.
Writing new package config file... done.


So that looks good, and it works on other architectures with the same packages.

Greetings,
Joachim


-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Liyang HU <debian.org@liyang.hu>:
Bug#482503; Package libghc6-gtk-dev. Full text and rfc822 format available.

Acknowledgement sent to Duncan Coutts <duncan.coutts@worc.ox.ac.uk>:
Extra info received and forwarded to list. Copy sent to Liyang HU <debian.org@liyang.hu>. Full text and rfc822 format available.

Message #29 received at 482503@bugs.debian.org (full text, mbox):

From: Duncan Coutts <duncan.coutts@worc.ox.ac.uk>
To: Joachim Breitner <nomeata@debian.org>
Cc: gtk2hs-devel@lists.sourceforge.net, 482503@bugs.debian.org
Subject: Re: [Gtk2hs-devel] Build problem on s390
Date: Mon, 02 Jun 2008 11:52:09 +0100
On Mon, 2008-06-02 at 11:48 +0200, Joachim Breitner wrote:
> Hi,
> 
> I got a last build problem for the Debian package, this time on s390,
> and the problem appears in a different package: gtkrsync does not build,
> and the maintainer believes the problem lies within the gtk2hs package:
> 
> http://buildd.debian.org/fetch.cgi?pkg=gtkrsync;ver=1.0.2;arch=s390;stamp=1210904919
> 
> It has happened before and it was believed that gcc-4.1 was the problem,
> but this build happened with 4.3.
> 
> If someone here could please comment on that? (and please keep the
> bugs.debian.org-address in the CC?)

If this happens only on this arch I'd blame either:
1. linker/toolchain bugs
2. ghc split-objs

If you're using split-objs for gtk2hs on this arch, don't.
Use ./configure --disable-split-objs

Duncan





Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 09 Jul 2008 20:06:16 GMT) Full text and rfc822 format available.

Reply sent to Marco Túlio Gontijo e Silva <marcot@riseup.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #36 received at 482503-close@bugs.debian.org (full text, mbox):

From: Marco Túlio Gontijo e Silva <marcot@riseup.net>
To: 482503-close@bugs.debian.org
Subject: Bug#482503: fixed in gtk2hs 0.9.13-1
Date: Tue, 29 Jul 2008 14:10:31 +0000
Source: gtk2hs
Source-Version: 0.9.13-1

We believe that the bug you reported is fixed in the latest version of
gtk2hs, which is due to be installed in the Debian FTP archive:

gtk2hs-doc_0.9.13-1_all.deb
  to pool/main/g/gtk2hs/gtk2hs-doc_0.9.13-1_all.deb
gtk2hs_0.9.13-1.diff.gz
  to pool/main/g/gtk2hs/gtk2hs_0.9.13-1.diff.gz
gtk2hs_0.9.13-1.dsc
  to pool/main/g/gtk2hs/gtk2hs_0.9.13-1.dsc
gtk2hs_0.9.13.orig.tar.gz
  to pool/main/g/gtk2hs/gtk2hs_0.9.13.orig.tar.gz
libghc6-cairo-dev_0.9.13-1_i386.deb
  to pool/main/g/gtk2hs/libghc6-cairo-dev_0.9.13-1_i386.deb
libghc6-gconf-dev_0.9.13-1_i386.deb
  to pool/main/g/gtk2hs/libghc6-gconf-dev_0.9.13-1_i386.deb
libghc6-glade-dev_0.9.13-1_i386.deb
  to pool/main/g/gtk2hs/libghc6-glade-dev_0.9.13-1_i386.deb
libghc6-glib-dev_0.9.13-1_i386.deb
  to pool/main/g/gtk2hs/libghc6-glib-dev_0.9.13-1_i386.deb
libghc6-gnomevfs-dev_0.9.13-1_i386.deb
  to pool/main/g/gtk2hs/libghc6-gnomevfs-dev_0.9.13-1_i386.deb
libghc6-gstreamer-dev_0.9.13-1_i386.deb
  to pool/main/g/gtk2hs/libghc6-gstreamer-dev_0.9.13-1_i386.deb
libghc6-gtk-dev_0.9.13-1_i386.deb
  to pool/main/g/gtk2hs/libghc6-gtk-dev_0.9.13-1_i386.deb
libghc6-gtkglext-dev_0.9.13-1_i386.deb
  to pool/main/g/gtk2hs/libghc6-gtkglext-dev_0.9.13-1_i386.deb
libghc6-soegtk-dev_0.9.13-1_i386.deb
  to pool/main/g/gtk2hs/libghc6-soegtk-dev_0.9.13-1_i386.deb
libghc6-sourceview-dev_0.9.13-1_i386.deb
  to pool/main/g/gtk2hs/libghc6-sourceview-dev_0.9.13-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 482503@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marco Túlio Gontijo e Silva <marcot@riseup.net> (supplier of updated gtk2hs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 8 Jul 2008 11:16:33 -0300
Source: gtk2hs
Binary: libghc6-glib-dev libghc6-cairo-dev libghc6-gconf-dev libghc6-gnomevfs-dev libghc6-gstreamer-dev libghc6-gtk-dev libghc6-glade-dev libghc6-gtkglext-dev libghc6-sourceview-dev libghc6-soegtk-dev gtk2hs-doc
Architecture: source all i386
Version: 0.9.13-1
Distribution: unstable
Urgency: low
Maintainer: Marco Túlio Gontijo e Silva <marcot@riseup.net>
Changed-By: Marco Túlio Gontijo e Silva <marcot@riseup.net>
Description: 
 gtk2hs-doc - A GUI library for Haskell (Gtk2Hs) -- documentation and examples
 libghc6-cairo-dev - A GUI library for Haskell (Gtk2Hs) -- Cairo bindings
 libghc6-gconf-dev - A GUI library for Haskell (Gtk2Hs) -- GConf bindings
 libghc6-glade-dev - A GUI library for Haskell (Gtk2Hs) -- libglade bindings
 libghc6-glib-dev - A GUI library for Haskell (Gtk2Hs) -- GLib bindings
 libghc6-gnomevfs-dev - A GUI library for Haskell (Gtk2Hs) -- GNOME VFS bindings
 libghc6-gstreamer-dev - A GUI library for Haskell (Gtk2Hs) -- GStreamer bindings
 libghc6-gtk-dev - A GUI library for Haskell (Gtk2Hs) -- GTK+ bindings
 libghc6-gtkglext-dev - A GUI library for Haskell (Gtk2Hs) -- gtkglext bindings
 libghc6-soegtk-dev - A GUI library for Haskell (Gtk2Hs) -- soegtk bindings
 libghc6-sourceview-dev - A GUI library for Haskell (Gtk2Hs) -- GtkSourceView bindings
Closes: 410594 450342 480805 481593 482503
Changes: 
 gtk2hs (0.9.13-1) unstable; urgency=low
 .
   * New upstream release.
   * Removed package libghc6-mozembed-dev, since this version of Gtk2hs is
     not compatible with xulrunner-dev in sid. Thanks to Mike Hommey and
     Duncan Coutts. (Closes: #480805)
   * New packages gnomevfs and gstreamer.
   * Removed unused quilt dependency.
   * Use automake and aclocal 1.10.
   * Removed integration with haskell-utils, since update-haskell-control only
     works with Cabal; now uses a patched version of dh_haskell_depends.
   * debian/control:
     - Removed alpha from supported architectures. Thanks to Falk Hueffner
       and Axel Simon. (Closes: #410594)
     - Build-depends on libghc6-mtl-doc.
     - Specific version for libghc6-mtl-dev.
     - Use ${binary:Version} instead of ${Source-Version}.
     - Use Standards-Version 3.8.0.
   * debian/gtk2hs-doc.doc-base: Use Programming instead of devel as
     Section.
   * debian/rules:
     - CFLAGS -g removed to build in IA64. (Closes: #481593)
     - Use --disable-split-objs to make applications possible in
       s390. Thanks to Bastian Blank, Axel Simon and Duncan
       Coutts. (Closes: #482503)
   * debian/watch: Use sourceforge mirror instead of gtk2hs site. Thanks to
     Raphael Geissert. (Closes: #450342)
   * debian/gtk2hs-doc.install: Correct bug from upstream that didn't
     install doc-index-* files. Thanks to Gustavo Noronha.
Checksums-Sha1: 
 97a6bc1bae00cd99e8a5b48dcb5cc6c4b4eb532b 1807 gtk2hs_0.9.13-1.dsc
 9220d0318f81d31910018dba9bee8650766ad651 1132752 gtk2hs_0.9.13.orig.tar.gz
 750112d548a4ee1b19bfd72170f08d3b20264dfb 10450 gtk2hs_0.9.13-1.diff.gz
 5576ae4e20fd4b573968237be6b91a856f9e6709 1233884 gtk2hs-doc_0.9.13-1_all.deb
 1eefcdc2838ea1f8a963cd83c01537cdfb79205b 324614 libghc6-glib-dev_0.9.13-1_i386.deb
 83c17fc8df907eae1fb3e7d2c30a3fb42a8cebca 453334 libghc6-cairo-dev_0.9.13-1_i386.deb
 62810e409ad30b616e524609cd38d26913c22258 183556 libghc6-gconf-dev_0.9.13-1_i386.deb
 9bff4bdeb7554b33d9569a3008319cfd81570261 631120 libghc6-gnomevfs-dev_0.9.13-1_i386.deb
 041247c2376af35de57d574fe0c8f168e23076b6 1236584 libghc6-gstreamer-dev_0.9.13-1_i386.deb
 e22d4a077effaa9a6e6c330da2da15f1d9d6cbc0 4238684 libghc6-gtk-dev_0.9.13-1_i386.deb
 4e0166a2fa59086d81c066bfc1a0568285be2bfd 101766 libghc6-glade-dev_0.9.13-1_i386.deb
 5b0548337a79f642f32acabc818fa23461eeb89e 167740 libghc6-gtkglext-dev_0.9.13-1_i386.deb
 7d8bc1473532ed0ba76f54f19237f2b74cf30594 201842 libghc6-sourceview-dev_0.9.13-1_i386.deb
 7477804282f3f7e9e9eb3e250586c7099eb6f779 198534 libghc6-soegtk-dev_0.9.13-1_i386.deb
Checksums-Sha256: 
 d38f87d811e6071d33c270af8b5bd72982d481160b13a2083eecd99fb477f29a 1807 gtk2hs_0.9.13-1.dsc
 4ce357ccfd9e7529f1405adf0e64435909c2da077c79cf012c2cb2acdd24133f 1132752 gtk2hs_0.9.13.orig.tar.gz
 8ba35ef3182565bd9862aacf3b2c1bf1c241cc6e11410d3a180419a9bcdbb36d 10450 gtk2hs_0.9.13-1.diff.gz
 08f5dbdf47bc6a7198e67c5b67bc4aef7e897a1e002319686ba758e759224751 1233884 gtk2hs-doc_0.9.13-1_all.deb
 984b339c69d6bad803b049be3a7fa149a2f0fc848f38bfe718a6062cea18bbcf 324614 libghc6-glib-dev_0.9.13-1_i386.deb
 892ef9d756a3844bde9f930ef142100695159b41031b8e6be65bffbb9d689552 453334 libghc6-cairo-dev_0.9.13-1_i386.deb
 68e6b047a09bb5d3950dd647debe093dea4a95103e48edd829d7ef3e98bc0f71 183556 libghc6-gconf-dev_0.9.13-1_i386.deb
 341600794766367734b7e127711d9c60a9fe06f3aa2967961128e26ef4fb7ee8 631120 libghc6-gnomevfs-dev_0.9.13-1_i386.deb
 a37f0f1759714c0d10ea8a0e3e241bb364a3610e8cdf21cd0476993b3f782eee 1236584 libghc6-gstreamer-dev_0.9.13-1_i386.deb
 cf5a1dc2d23eebc3319ffb6bbab2950de0d525daf78d89418cb10b395a710773 4238684 libghc6-gtk-dev_0.9.13-1_i386.deb
 ebca6b06860d8575917f8a77518a69c49ec26a5572f3cf25e9941a05c0162249 101766 libghc6-glade-dev_0.9.13-1_i386.deb
 b3ea7d5e5af79aac9137ef3ec7780f4cf3b50bd84bdb661709a873f756dc1452 167740 libghc6-gtkglext-dev_0.9.13-1_i386.deb
 a244c30894dc7f75b5856012718232ed45ceb15c7795c158b8e44e1d8dd6357d 201842 libghc6-sourceview-dev_0.9.13-1_i386.deb
 03dffc3851de090129238fdfd0ee531603fa8ac7c479fa6d4f1428cf70f0cc74 198534 libghc6-soegtk-dev_0.9.13-1_i386.deb
Files: 
 14384b3414e83d509eef3bdd7ffcfd5a 1807 libdevel optional gtk2hs_0.9.13-1.dsc
 130a13b0cbbf1ab933583f33cae16f7e 1132752 libdevel optional gtk2hs_0.9.13.orig.tar.gz
 806e78199a0555d2561223c2db48df5a 10450 libdevel optional gtk2hs_0.9.13-1.diff.gz
 4b04289ac1efa490a544c0301e2f1c25 1233884 doc optional gtk2hs-doc_0.9.13-1_all.deb
 37d6a39fac1576d43ca921e6783f838c 324614 libdevel optional libghc6-glib-dev_0.9.13-1_i386.deb
 823cde5d96948985f4191438afbba63b 453334 libdevel optional libghc6-cairo-dev_0.9.13-1_i386.deb
 80319eba8a4788e91439d60f9f2d9d60 183556 libdevel optional libghc6-gconf-dev_0.9.13-1_i386.deb
 7bb365f6b4661ba145723f7be24ce1dc 631120 libdevel optional libghc6-gnomevfs-dev_0.9.13-1_i386.deb
 ba6395e01e05d14348efddce3da43541 1236584 libdevel optional libghc6-gstreamer-dev_0.9.13-1_i386.deb
 62f4b4a72567fcf3be66c910009e45f3 4238684 libdevel optional libghc6-gtk-dev_0.9.13-1_i386.deb
 37a6f50144c0f09e1afd76767402678d 101766 libdevel optional libghc6-glade-dev_0.9.13-1_i386.deb
 596e6bcba27940019aec65b61657fee2 167740 libdevel optional libghc6-gtkglext-dev_0.9.13-1_i386.deb
 67fcd94f1df99a3db529c1c9fa014802 201842 libdevel optional libghc6-sourceview-dev_0.9.13-1_i386.deb
 3ef283be38b4f2a1e05549ed0393c42b 198534 libdevel optional libghc6-soegtk-dev_0.9.13-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkh9IyUACgkQ9ijrk0dDIGwWwgCeKUqjTYJRjgbmjzXckEBQJfli
vJYAoKCMTfoqVLv1DYrxjLDeXYvEbISA
=FMu/
-----END PGP SIGNATURE-----





Reply sent to Marco Túlio Gontijo e Silva <marcot@riseup.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco Túlio Gontijo e Silva <marcot@riseup.net>:
Bug#482503; Package libghc6-gtk-dev. (Tue, 25 Nov 2008 23:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Iván Pérez Domínguez <ivanperezdominguez@gmail.com>:
Extra info received and forwarded to list. Copy sent to Marco Túlio Gontijo e Silva <marcot@riseup.net>. (Tue, 25 Nov 2008 23:18:02 GMT) Full text and rfc822 format available.

Message #46 received at 482503@bugs.debian.org (full text, mbox):

From: Iván Pérez Domínguez <ivanperezdominguez@gmail.com>
To: 482503@bugs.debian.org
Subject: Problem still present?
Date: Wed, 26 Nov 2008 00:17:18 +0100
I just got this error running debian on a Freerunner,
and I think it's related to this bug. The same happens with
any other haskell program that uses gtk.

debian-gta02:/usr/share/doc/gtk2hs-doc/examples/hello# ls
Makefile  World.hs
debian-gta02:/usr/share/doc/gtk2hs-doc/examples/hello# make
ghc --make World.hs -o helloworld
[1 of 1] Compiling Main             ( World.hs, World.o )
Linking helloworld ...
World.o: In function `s2Nk_ret':
ghc1646_0.hc:(.text+0x110): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziGeneralziGeneral_mainGUI_closure'
World.o: In function `s2KQ_entry':
ghc1646_0.hc:(.text+0x2d4): undefined reference to
`glibzm0zi9zi13_SystemziGlibziAttributes_ZCze_con_info'
ghc1646_0.hc:(.text+0x2e4): undefined reference to
`glibzm0zi9zi13_SystemziGlibziAttributes_set_closure'
World.o: In function `s2K7_entry':
ghc1646_0.hc:(.text+0x1004): undefined reference to
`glibzm0zi9zi13_SystemziGlibziAttributes_ZCze_con_info'
ghc1646_0.hc:(.text+0x1014): undefined reference to
`glibzm0zi9zi13_SystemziGlibziAttributes_set_closure'
World.o: In function `s2N0_ret':
ghc1646_0.hc:(.text+0x1260): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziButtonsziButton_buttonNew_closure'
World.o: In function `s2JN_entry':
ghc1646_0.hc:(.text+0x14e8): undefined reference to
`glibzm0zi9zi13_SystemziGlibziAttributes_ZCze_con_info'
ghc1646_0.hc:(.text+0x1500): undefined reference to
`glibzm0zi9zi13_SystemziGlibziAttributes_set_closure'
World.o: In function `s2Ju_entry':
ghc1646_0.hc:(.text+0x1714): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziGeneralziGeneral_mainQuit_closure'
World.o: In function `s2MO_ret':
ghc1646_0.hc:(.text+0x1920): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziWindowsziWindow_windowNew_closure'
World.o: In function `s2MK_ret':
ghc1646_0.hc:(.text+0x1a7c): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziGeneralziGeneral_initGUI_closure'
World.o: In function `__stginit_Main_':
ghc1646_0.hc:(.text+0x1b2c): undefined reference to
`__stginit_gtkzm0zi9zi13_GraphicsziUIziGtk_'
World.o: In function `r2IN_entry':
ghc1646_0.hc:(.text+0x1c28): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziAbstractziWidget_widgetShowAll_closure'
ghc1646_0.hc:(.text+0x1c2c): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf551_closure'
World.o: In function `r2IP_entry':
ghc1646_0.hc:(.text+0x1d10): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziAbstractziContainer_containerChild_closure'
ghc1646_0.hc:(.text+0x1d14): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf663_closure'
ghc1646_0.hc:(.text+0x1d18): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf551_closure'
World.o: In function `r2IR_entry':
ghc1646_0.hc:(.text+0x1df0): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziAbstractziWidget_widgetDestroy_closure'
ghc1646_0.hc:(.text+0x1df4): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf551_closure'
World.o: In function `r2IT_entry':
ghc1646_0.hc:(.text+0x1ecc): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziButtonsziButton_onClicked_closure'
ghc1646_0.hc:(.text+0x1ed0): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf663_closure'
World.o: In function `r2IV_entry':
ghc1646_0.hc:(.text+0x1fa8): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziButtonsziButton_buttonLabel_closure'
ghc1646_0.hc:(.text+0x1fac): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf663_closure'
World.o: In function `r2IX_entry':
ghc1646_0.hc:(.text+0x2084): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziWindowsziWindow_windowTitle_closure'
ghc1646_0.hc:(.text+0x2088): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf551_closure'
World.o: In function `r2IZ_entry':
ghc1646_0.hc:(.text+0x2160): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziAbstractziContainer_containerBorderWidth_closure'
ghc1646_0.hc:(.text+0x2164): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf551_closure'
World.o: In function `r2J1_entry':
ghc1646_0.hc:(.text+0x223c): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziAbstractziWidget_onDestroy_closure'
ghc1646_0.hc:(.text+0x2240): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf551_closure'
World.o:(.data+0xc): undefined reference to
`glibzm0zi9zi13_SystemziGlibziAttributes_set_closure'
World.o:(.data+0x10): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziGeneralziGeneral_initGUI_closure'
World.o:(.data+0x14): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziGeneralziGeneral_mainGUI_closure'
World.o:(.data+0x18): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziGeneralziGeneral_mainQuit_closure'
World.o:(.data+0x1c): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziWindowsziWindow_windowNew_closure'
World.o:(.data+0x20): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziButtonsziButton_buttonNew_closure'
World.o:(.data+0x4a8): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziAbstractziWidget_widgetShowAll_closure'
World.o:(.data+0x4ac): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf551_closure'
World.o:(.data+0x4b0): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziAbstractziContainer_containerChild_closure'
World.o:(.data+0x4b4): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf663_closure'
World.o:(.data+0x4b8): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf551_closure'
World.o:(.data+0x4bc): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziAbstractziWidget_widgetDestroy_closure'
World.o:(.data+0x4c0): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf551_closure'
World.o:(.data+0x4c4): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziButtonsziButton_onClicked_closure'
World.o:(.data+0x4c8): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf663_closure'
World.o:(.data+0x4cc): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziButtonsziButton_buttonLabel_closure'
World.o:(.data+0x4d0): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf663_closure'
World.o:(.data+0x4d4): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziWindowsziWindow_windowTitle_closure'
World.o:(.data+0x4d8): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf551_closure'
World.o:(.data+0x4dc): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziAbstractziContainer_containerBorderWidth_closure'
World.o:(.data+0x4e0): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf551_closure'
World.o:(.data+0x4e4): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziAbstractziWidget_onDestroy_closure'
World.o:(.data+0x4e8): undefined reference to
`gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf551_closure'
collect2: ld returned 1 exit status
make: *** [helloworld] Error 1




Information forwarded to debian-bugs-dist@lists.debian.org, Marco Túlio Gontijo e Silva <marcot@holoscopio.com>:
Bug#482503; Package libghc6-gtk-dev. (Wed, 03 Dec 2008 15:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Túlio Gontijo e Silva <marcot@riseup.net>:
Extra info received and forwarded to list. Copy sent to Marco Túlio Gontijo e Silva <marcot@holoscopio.com>. (Wed, 03 Dec 2008 15:18:05 GMT) Full text and rfc822 format available.

Message #51 received at 482503@bugs.debian.org (full text, mbox):

From: Marco Túlio Gontijo e Silva <marcot@riseup.net>
To: Iván Pérez Domínguez <ivanperezdominguez@gmail.com>, 482503@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#482503: Problem still present?
Date: Wed, 03 Dec 2008 13:11:06 -0200
reopen 482503
thanks

Hello,

Em Qua, 2008-11-26 às 00:17 +0100, Iván Pérez Domínguez escreveu:
> I just got this error running debian on a Freerunner,
> and I think it's related to this bug. The same happens with
> any other haskell program that uses gtk.
> 
> debian-gta02:/usr/share/doc/gtk2hs-doc/examples/hello# ls
> Makefile  World.hs
> debian-gta02:/usr/share/doc/gtk2hs-doc/examples/hello# make
> ghc --make World.hs -o helloworld
> [1 of 1] Compiling Main             ( World.hs, World.o )
> Linking helloworld ...
> World.o: In function `s2Nk_ret':
> ghc1646_0.hc:(.text+0x110): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziGeneralziGeneral_mainGUI_closure'
> World.o: In function `s2KQ_entry':
> ghc1646_0.hc:(.text+0x2d4): undefined reference to
> `glibzm0zi9zi13_SystemziGlibziAttributes_ZCze_con_info'
> ghc1646_0.hc:(.text+0x2e4): undefined reference to
> `glibzm0zi9zi13_SystemziGlibziAttributes_set_closure'
> World.o: In function `s2K7_entry':
> ghc1646_0.hc:(.text+0x1004): undefined reference to
> `glibzm0zi9zi13_SystemziGlibziAttributes_ZCze_con_info'
> ghc1646_0.hc:(.text+0x1014): undefined reference to
> `glibzm0zi9zi13_SystemziGlibziAttributes_set_closure'
> World.o: In function `s2N0_ret':
> ghc1646_0.hc:(.text+0x1260): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziButtonsziButton_buttonNew_closure'
> World.o: In function `s2JN_entry':
> ghc1646_0.hc:(.text+0x14e8): undefined reference to
> `glibzm0zi9zi13_SystemziGlibziAttributes_ZCze_con_info'
> ghc1646_0.hc:(.text+0x1500): undefined reference to
> `glibzm0zi9zi13_SystemziGlibziAttributes_set_closure'
> World.o: In function `s2Ju_entry':
> ghc1646_0.hc:(.text+0x1714): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziGeneralziGeneral_mainQuit_closure'
> World.o: In function `s2MO_ret':
> ghc1646_0.hc:(.text+0x1920): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziWindowsziWindow_windowNew_closure'
> World.o: In function `s2MK_ret':
> ghc1646_0.hc:(.text+0x1a7c): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziGeneralziGeneral_initGUI_closure'
> World.o: In function `__stginit_Main_':
> ghc1646_0.hc:(.text+0x1b2c): undefined reference to
> `__stginit_gtkzm0zi9zi13_GraphicsziUIziGtk_'
> World.o: In function `r2IN_entry':
> ghc1646_0.hc:(.text+0x1c28): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziAbstractziWidget_widgetShowAll_closure'
> ghc1646_0.hc:(.text+0x1c2c): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf551_closure'
> World.o: In function `r2IP_entry':
> ghc1646_0.hc:(.text+0x1d10): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziAbstractziContainer_containerChild_closure'
> ghc1646_0.hc:(.text+0x1d14): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf663_closure'
> ghc1646_0.hc:(.text+0x1d18): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf551_closure'
> World.o: In function `r2IR_entry':
> ghc1646_0.hc:(.text+0x1df0): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziAbstractziWidget_widgetDestroy_closure'
> ghc1646_0.hc:(.text+0x1df4): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf551_closure'
> World.o: In function `r2IT_entry':
> ghc1646_0.hc:(.text+0x1ecc): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziButtonsziButton_onClicked_closure'
> ghc1646_0.hc:(.text+0x1ed0): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf663_closure'
> World.o: In function `r2IV_entry':
> ghc1646_0.hc:(.text+0x1fa8): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziButtonsziButton_buttonLabel_closure'
> ghc1646_0.hc:(.text+0x1fac): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf663_closure'
> World.o: In function `r2IX_entry':
> ghc1646_0.hc:(.text+0x2084): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziWindowsziWindow_windowTitle_closure'
> ghc1646_0.hc:(.text+0x2088): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf551_closure'
> World.o: In function `r2IZ_entry':
> ghc1646_0.hc:(.text+0x2160): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziAbstractziContainer_containerBorderWidth_closure'
> ghc1646_0.hc:(.text+0x2164): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf551_closure'
> World.o: In function `r2J1_entry':
> ghc1646_0.hc:(.text+0x223c): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziAbstractziWidget_onDestroy_closure'
> ghc1646_0.hc:(.text+0x2240): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf551_closure'
> World.o:(.data+0xc): undefined reference to
> `glibzm0zi9zi13_SystemziGlibziAttributes_set_closure'
> World.o:(.data+0x10): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziGeneralziGeneral_initGUI_closure'
> World.o:(.data+0x14): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziGeneralziGeneral_mainGUI_closure'
> World.o:(.data+0x18): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziGeneralziGeneral_mainQuit_closure'
> World.o:(.data+0x1c): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziWindowsziWindow_windowNew_closure'
> World.o:(.data+0x20): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziButtonsziButton_buttonNew_closure'
> World.o:(.data+0x4a8): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziAbstractziWidget_widgetShowAll_closure'
> World.o:(.data+0x4ac): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf551_closure'
> World.o:(.data+0x4b0): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziAbstractziContainer_containerChild_closure'
> World.o:(.data+0x4b4): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf663_closure'
> World.o:(.data+0x4b8): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf551_closure'
> World.o:(.data+0x4bc): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziAbstractziWidget_widgetDestroy_closure'
> World.o:(.data+0x4c0): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf551_closure'
> World.o:(.data+0x4c4): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziButtonsziButton_onClicked_closure'
> World.o:(.data+0x4c8): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf663_closure'
> World.o:(.data+0x4cc): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziButtonsziButton_buttonLabel_closure'
> World.o:(.data+0x4d0): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf663_closure'
> World.o:(.data+0x4d4): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziWindowsziWindow_windowTitle_closure'
> World.o:(.data+0x4d8): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf551_closure'
> World.o:(.data+0x4dc): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziAbstractziContainer_containerBorderWidth_closure'
> World.o:(.data+0x4e0): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf551_closure'
> World.o:(.data+0x4e4): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziAbstractziWidget_onDestroy_closure'
> World.o:(.data+0x4e8): undefined reference to
> `gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf551_closure'
> collect2: ld returned 1 exit status
> make: *** [helloworld] Error 1

I could reproduce this using qemu.  I think using --disable-split-objs
in ARM should be enough to fix.  I'll test this, and if it works, I'll
upload it.

Thanks for the report.

-- 
marcot
http://marcot.iaaeee.org/






Bug reopened, originator not changed. Request was from Marco Túlio Gontijo e Silva <marcot@riseup.net> to control@bugs.debian.org. (Wed, 03 Dec 2008 15:18:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#482503; Package libghc6-gtk-dev. (Wed, 10 Dec 2008 11:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Túlio Gontijo e Silva <marcot@holoscopio.com>:
Extra info received and forwarded to list. (Wed, 10 Dec 2008 11:42:03 GMT) Full text and rfc822 format available.

Message #58 received at 482503@bugs.debian.org (full text, mbox):

From: Marco Túlio Gontijo e Silva <marcot@holoscopio.com>
To: 482503@bugs.debian.org, Duncan Coutts <duncan.coutts@worc.ox.ac.uk>, kov <kov@debian.org>
Subject: Problem still present also in S390
Date: Wed, 10 Dec 2008 09:36:34 -0200
Hello,

Gustavo Noronha Silva <kov@debian.org> helped me testing the actual
version (0.9.13-4) in raptor.debian.org, which is S390, and the bug is
still present.  So, just by using --disable-split-objs was not enough to
fix it in this architecture.  I haven't tested in ARM with
--disable-split-objs, but I don't think it'd work, since it haven't in
S390.

I have no ideas about this by now, so I'm mailing also Duncan Coutts to
help us.

Em Mon, 2008-06-02 às 11:52 +0100 Duncan Coutts escreveu:
> If this happens only on this arch I'd blame either:
> 1. linker/toolchain bugs
> 2. ghc split-objs

It's at least in two arches now, and the ghc split-objs option is not
the problem, so is it a linker/toolchain bug?

Greetings.

-- 
marcot
http://marcot.iaaeee.org/






Information forwarded to debian-bugs-dist@lists.debian.org, Marco Túlio Gontijo e Silva <marcot@holoscopio.com>:
Bug#482503; Package libghc6-gtk-dev. (Wed, 10 Dec 2008 12:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Duncan Coutts <duncan.coutts@worc.ox.ac.uk>:
Extra info received and forwarded to list. Copy sent to Marco Túlio Gontijo e Silva <marcot@holoscopio.com>. (Wed, 10 Dec 2008 12:21:02 GMT) Full text and rfc822 format available.

Message #63 received at 482503@bugs.debian.org (full text, mbox):

From: Duncan Coutts <duncan.coutts@worc.ox.ac.uk>
To: Marco Túlio Gontijo e Silva <marcot@holoscopio.com>
Cc: 482503@bugs.debian.org, kov <kov@debian.org>
Subject: Re: Problem still present also in S390
Date: Wed, 10 Dec 2008 12:18:21 +0000
On Wed, 2008-12-10 at 09:36 -0200, Marco Túlio Gontijo e Silva wrote:
> Hello,
> 
> Gustavo Noronha Silva <kov@debian.org> helped me testing the actual
> version (0.9.13-4) in raptor.debian.org, which is S390, and the bug is
> still present.  So, just by using --disable-split-objs was not enough to
> fix it in this architecture.  I haven't tested in ARM with
> --disable-split-objs, but I don't think it'd work, since it haven't in
> S390.
> 
> I have no ideas about this by now, so I'm mailing also Duncan Coutts to
> help us.
> 
> Em Mon, 2008-06-02 às 11:52 +0100 Duncan Coutts escreveu:
> > If this happens only on this arch I'd blame either:
> > 1. linker/toolchain bugs
> > 2. ghc split-objs
> 
> It's at least in two arches now, and the ghc split-objs option is not
> the problem, so is it a linker/toolchain bug?

It's at least a bad interaction between ghc and the toolchain on that
platform. It'd need more investigation by ghc experts.

I suggest you file a ticket in the ghc bug tracker with full details of
the problem. To keep things simple, only report the problem in the
default case of not using split-objs. Adding split-objs into the mix
only makes things more complex.

Duncan





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#482503; Package libghc6-gtk-dev. (Wed, 10 Dec 2008 12:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Túlio Gontijo e Silva <marcot@holoscopio.com>:
Extra info received and forwarded to list. (Wed, 10 Dec 2008 12:48:03 GMT) Full text and rfc822 format available.

Message #68 received at 482503@bugs.debian.org (full text, mbox):

From: Marco Túlio Gontijo e Silva <marcot@holoscopio.com>
To: 482503@bugs.debian.org
Subject: Some more info
Date: Wed, 10 Dec 2008 10:42:55 -0200
In S390:

$ ghc --make -v5 -o hello World.hs
Glasgow Haskell Compiler, Version 6.8.2, for Haskell 98, stage 2 booted
by GHC version 6.8.2
Using package config file: /usr/lib/ghc-6.8.2/package.conf
wired-in package base mapped to base-3.0.1.0
wired-in package rts mapped to rts-1.0
wired-in package haskell98 mapped to haskell98-1.0.1.0
wired-in package template-haskell not found.
wired-in package ndp not found.
name: rts
version: 
license: AllRightsReserved
copyright:
maintainer:
stability:
homepage:
package-url:
description:
category:
author:
exposed: True
exposed-modules:
hidden-modules:
import-dirs:
library-dirs: /usr/lib/ghc-6.8.2
hs-libraries: HSrts
extra-libraries: m gmp dl rt
extra-ghci-libraries:
include-dirs: /usr/lib/ghc-6.8.2/include
includes: Stg.h
depends:
hugs-options:
cc-options:
ld-options: -u base_GHCziBase_Izh_static_info -u
            base_GHCziBase_Czh_static_info -u base_GHCziFloat_Fzh_static_info
            -u base_GHCziFloat_Dzh_static_info -u base_GHCziPtr_Ptr_static_info
            -u base_GHCziWord_Wzh_static_info -u base_GHCziInt_I8zh_static_info
            -u base_GHCziInt_I16zh_static_info -u
            base_GHCziInt_I32zh_static_info -u base_GHCziInt_I64zh_static_info
            -u base_GHCziWord_W8zh_static_info -u
            base_GHCziWord_W16zh_static_info -u
            base_GHCziWord_W32zh_static_info -u
            base_GHCziWord_W64zh_static_info -u
            base_GHCziStable_StablePtr_static_info -u
            base_GHCziBase_Izh_con_info -u base_GHCziBase_Czh_con_info -u
            base_GHCziFloat_Fzh_con_info -u base_GHCziFloat_Dzh_con_info -u
            base_GHCziPtr_Ptr_con_info -u base_GHCziPtr_FunPtr_con_info -u
            base_GHCziStable_StablePtr_con_info -u base_GHCziBase_False_closure
            -u base_GHCziBase_True_closure -u
            base_GHCziPack_unpackCString_closure -u
            base_GHCziIOBase_stackOverflow_closure -u
            base_GHCziIOBase_heapOverflow_closure -u
            base_GHCziIOBase_NonTermination_closure -u
            base_GHCziIOBase_BlockedOnDeadMVar_closure -u
            base_GHCziIOBase_BlockedIndefinitely_closure -u
            base_GHCziIOBase_Deadlock_closure -u
            base_GHCziIOBase_NestedAtomically_closure -u
            base_GHCziWeak_runFinalizzerBatch_closure -u
            base_GHCziConc_ensureIOManagerIsRunning_closure
framework-dirs:
frameworks:
haddock-interfaces:
haddock-html:
name: base
version: 
license: AllRightsReserved
copyright:
maintainer:
stability:
homepage:
package-url:
description:
category:
author:
exposed: True
exposed-modules: Data.Generics Data.Generics.Aliases
                 Data.Generics.Basics Data.Generics.Instances Data.Generics.Schemes
                 Data.Generics.Text Data.Generics.Twins Foreign.Concurrent GHC.Arr
                 GHC.Base GHC.Conc GHC.ConsoleHandler GHC.Dotnet GHC.Enum
                 GHC.Environment GHC.Err GHC.Exception GHC.Exts GHC.Float
                 GHC.ForeignPtr GHC.Handle GHC.IO GHC.IOBase GHC.Int GHC.List
                 GHC.Num GHC.PArr GHC.Pack GHC.Prim GHC.PrimopWrappers GHC.Ptr
                 GHC.Read GHC.Real GHC.ST GHC.STRef GHC.Show GHC.Stable GHC.Storable
                 GHC.TopHandler GHC.Unicode GHC.Weak GHC.Word System.Timeout
                 Control.Applicative Control.Arrow Control.Concurrent
                 Control.Concurrent.Chan Control.Concurrent.MVar
                 Control.Concurrent.QSem Control.Concurrent.QSemN
                 Control.Concurrent.SampleVar Control.Exception Control.Monad
                 Control.Monad.Fix Control.Monad.Instances Control.Monad.ST
                 Control.Monad.ST.Lazy Control.Monad.ST.Strict Data.Bits Data.Bool
                 Data.Char Data.Complex Data.Dynamic Data.Either Data.Eq Data.Fixed
                 Data.Foldable Data.Function Data.HashTable Data.IORef Data.Int
                 Data.Ix Data.List Data.Maybe Data.Monoid Data.Ord Data.Ratio
                 Data.STRef Data.STRef.Lazy Data.STRef.Strict Data.String
                 Data.Traversable Data.Tuple Data.Typeable Data.Unique Data.Version
                 Data.Word Debug.Trace Foreign Foreign.C Foreign.C.Error
                 Foreign.C.String Foreign.C.Types Foreign.ForeignPtr Foreign.Marshal
                 Foreign.Marshal.Alloc Foreign.Marshal.Array Foreign.Marshal.Error
                 Foreign.Marshal.Pool Foreign.Marshal.Utils Foreign.Ptr
                 Foreign.StablePtr Foreign.Storable Numeric Prelude
                 System.Console.GetOpt System.CPUTime System.Environment System.Exit
                 System.IO System.IO.Error System.IO.Unsafe System.Info System.Mem
                 System.Mem.StableName System.Mem.Weak System.Posix.Internals
                 System.Posix.Types Text.ParserCombinators.ReadP
                 Text.ParserCombinators.ReadPrec Text.Printf Text.Read Text.Read.Lex
                 Text.Show Text.Show.Functions Unsafe.Coerce
hidden-modules:
import-dirs: /usr/lib/ghc-6.8.2/lib/base-3.0.1.0
library-dirs: /usr/lib/ghc-6.8.2/lib/base-3.0.1.0
hs-libraries: HSbase-3.0.1.0
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/lib/ghc-6.8.2/lib/base-3.0.1.0/include
includes: HsBase.h
depends: rts
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/share/doc/ghc6-doc/libraries/base/base.haddock
haddock-html: /usr/share/doc/ghc6-doc/libraries/base
name: array
version: 0.1.0.0
license: AllRightsReserved
copyright:
maintainer:
stability:
homepage:
package-url:
description:
category:
author:
exposed: True
exposed-modules: Data.Array Data.Array.Base Data.Array.Diff
                 Data.Array.IArray Data.Array.IO Data.Array.MArray Data.Array.ST
                 Data.Array.Storable Data.Array.Unboxed
hidden-modules: Data.Array.IO.Internals
import-dirs: /usr/lib/ghc-6.8.2/lib/array-0.1.0.0
library-dirs: /usr/lib/ghc-6.8.2/lib/array-0.1.0.0
hs-libraries: HSarray-0.1.0.0
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: base
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/share/doc/ghc6-doc/libraries/array/array.haddock
haddock-html: /usr/share/doc/ghc6-doc/libraries/array
name: packedstring
version: 0.1.0.0
license: AllRightsReserved
copyright:
maintainer:
stability:
homepage:
package-url:
description:
category:
author:
exposed: True
exposed-modules: Data.PackedString
hidden-modules:
import-dirs: /usr/lib/ghc-6.8.2/lib/packedstring-0.1.0.0
library-dirs: /usr/lib/ghc-6.8.2/lib/packedstring-0.1.0.0
hs-libraries: HSpackedstring-0.1.0.0
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: base array-0.1.0.0
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/share/doc/ghc6-doc/libraries/packedstring/packedstring.haddock
haddock-html: /usr/share/doc/ghc6-doc/libraries/packedstring
name: containers
version: 0.1.0.1
license: AllRightsReserved
copyright:
maintainer:
stability:
homepage:
package-url:
description:
category:
author:
exposed: True
exposed-modules: Data.Graph Data.IntMap Data.IntSet Data.Map
                 Data.Sequence Data.Set Data.Tree
hidden-modules:
import-dirs: /usr/lib/ghc-6.8.2/lib/containers-0.1.0.1
library-dirs: /usr/lib/ghc-6.8.2/lib/containers-0.1.0.1
hs-libraries: HScontainers-0.1.0.1
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: base array-0.1.0.0
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/share/doc/ghc6-doc/libraries/containers/containers.haddock
haddock-html: /usr/share/doc/ghc6-doc/libraries/containers
name: bytestring
version: 0.9.0.1
license: AllRightsReserved
copyright:
maintainer:
stability:
homepage:
package-url:
description:
category:
author:
exposed: True
exposed-modules: Data.ByteString Data.ByteString.Char8
                 Data.ByteString.Unsafe Data.ByteString.Internal
                 Data.ByteString.Lazy Data.ByteString.Lazy.Char8
                 Data.ByteString.Lazy.Internal Data.ByteString.Fusion
hidden-modules:
import-dirs: /usr/lib/ghc-6.8.2/lib/bytestring-0.9.0.1
library-dirs: /usr/lib/ghc-6.8.2/lib/bytestring-0.9.0.1
hs-libraries: HSbytestring-0.9.0.1
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/lib/ghc-6.8.2/lib/bytestring-0.9.0.1/include
includes: fpstring.h
depends: base array-0.1.0.0
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/share/doc/ghc6-doc/libraries/bytestring/bytestring.haddock
haddock-html: /usr/share/doc/ghc6-doc/libraries/bytestring
name: old-locale
version: 1.0.0.0
license: AllRightsReserved
copyright:
maintainer:
stability:
homepage:
package-url:
description:
category:
author:
exposed: True
exposed-modules: System.Locale
hidden-modules:
import-dirs: /usr/lib/ghc-6.8.2/lib/old-locale-1.0.0.0
library-dirs: /usr/lib/ghc-6.8.2/lib/old-locale-1.0.0.0
hs-libraries: HSold-locale-1.0.0.0
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: base
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/share/doc/ghc6-doc/libraries/old-locale/old-locale.haddock
haddock-html: /usr/share/doc/ghc6-doc/libraries/old-locale
name: old-time
version: 1.0.0.0
license: AllRightsReserved
copyright:
maintainer:
stability:
homepage:
package-url:
description:
category:
author:
exposed: True
exposed-modules: System.Time
hidden-modules:
import-dirs: /usr/lib/ghc-6.8.2/lib/old-time-1.0.0.0
library-dirs: /usr/lib/ghc-6.8.2/lib/old-time-1.0.0.0
hs-libraries: HSold-time-1.0.0.0
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/lib/ghc-6.8.2/lib/old-time-1.0.0.0/include
includes: HsTime.h
depends: base old-locale-1.0.0.0
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/share/doc/ghc6-doc/libraries/old-time/old-time.haddock
haddock-html: /usr/share/doc/ghc6-doc/libraries/old-time
name: filepath
version: 1.1.0.0
license: AllRightsReserved
copyright:
maintainer:
stability:
homepage:
package-url:
description:
category:
author:
exposed: True
exposed-modules: System.FilePath System.FilePath.Posix
                 System.FilePath.Windows
hidden-modules:
import-dirs: /usr/lib/ghc-6.8.2/lib/filepath-1.1.0.0
library-dirs: /usr/lib/ghc-6.8.2/lib/filepath-1.1.0.0
hs-libraries: HSfilepath-1.1.0.0
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: base
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/share/doc/ghc6-doc/libraries/filepath/filepath.haddock
haddock-html: /usr/share/doc/ghc6-doc/libraries/filepath
name: directory
version: 1.0.0.0
license: AllRightsReserved
copyright:
maintainer:
stability:
homepage:
package-url:
description:
category:
author:
exposed: True
exposed-modules: System.Directory
hidden-modules:
import-dirs: /usr/lib/ghc-6.8.2/lib/directory-1.0.0.0
library-dirs: /usr/lib/ghc-6.8.2/lib/directory-1.0.0.0
hs-libraries: HSdirectory-1.0.0.0
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/lib/ghc-6.8.2/lib/directory-1.0.0.0/include
includes: HsDirectory.h
depends: base old-time-1.0.0.0 filepath-1.1.0.0
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/share/doc/ghc6-doc/libraries/directory/directory.haddock
haddock-html: /usr/share/doc/ghc6-doc/libraries/directory
name: unix
version: 2.3.0.0
license: AllRightsReserved
copyright:
maintainer:
stability:
homepage:
package-url:
description:
category:
author:
exposed: True
exposed-modules: System.Posix System.Posix.DynamicLinker.Module
                 System.Posix.DynamicLinker.Prim System.Posix.Directory
                 System.Posix.DynamicLinker System.Posix.Env System.Posix.Error
                 System.Posix.Files System.Posix.IO System.Posix.Process
                 System.Posix.Process.Internals System.Posix.Resource
                 System.Posix.Temp System.Posix.Terminal System.Posix.Time
                 System.Posix.Unistd System.Posix.User System.Posix.Signals
                 System.Posix.Signals.Exts System.Posix.Semaphore
                 System.Posix.SharedMem
hidden-modules:
import-dirs: /usr/lib/ghc-6.8.2/lib/unix-2.3.0.0
library-dirs: /usr/lib/ghc-6.8.2/lib/unix-2.3.0.0
hs-libraries: HSunix-2.3.0.0
extra-libraries: util dl
extra-ghci-libraries:
include-dirs: /usr/lib/ghc-6.8.2/lib/unix-2.3.0.0/include
includes: HsUnix.h execvpe.h
depends: base directory-1.0.0.0
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/share/doc/ghc6-doc/libraries/unix/unix.haddock
haddock-html: /usr/share/doc/ghc6-doc/libraries/unix
name: process
version: 1.0.0.0
license: AllRightsReserved
copyright:
maintainer:
stability:
homepage:
package-url:
description:
category:
author:
exposed: True
exposed-modules: System.Process System.Cmd System.Process.Internals
hidden-modules:
import-dirs: /usr/lib/ghc-6.8.2/lib/process-1.0.0.0
library-dirs: /usr/lib/ghc-6.8.2/lib/process-1.0.0.0
hs-libraries: HSprocess-1.0.0.0
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/lib/ghc-6.8.2/lib/process-1.0.0.0/include
includes: runProcess.h
depends: unix-2.3.0.0 base directory-1.0.0.0 filepath-1.1.0.0
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/share/doc/ghc6-doc/libraries/process/process.haddock
haddock-html: /usr/share/doc/ghc6-doc/libraries/process
name: pretty
version: 1.0.0.0
license: AllRightsReserved
copyright:
maintainer:
stability:
homepage:
package-url:
description:
category:
author:
exposed: True
exposed-modules: Text.PrettyPrint Text.PrettyPrint.HughesPJ
hidden-modules:
import-dirs: /usr/lib/ghc-6.8.2/lib/pretty-1.0.0.0
library-dirs: /usr/lib/ghc-6.8.2/lib/pretty-1.0.0.0
hs-libraries: HSpretty-1.0.0.0
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: base
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/share/doc/ghc6-doc/libraries/pretty/pretty.haddock
haddock-html: /usr/share/doc/ghc6-doc/libraries/pretty
name: hpc
version: 0.5.0.0
license: AllRightsReserved
copyright:
maintainer:
stability:
homepage:
package-url:
description:
category:
author:
exposed: True
exposed-modules: Trace.Hpc.Util Trace.Hpc.Mix Trace.Hpc.Tix
                 Trace.Hpc.Reflect
hidden-modules:
import-dirs: /usr/lib/ghc-6.8.2/lib/hpc-0.5.0.0
library-dirs: /usr/lib/ghc-6.8.2/lib/hpc-0.5.0.0
hs-libraries: HShpc-0.5.0.0
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: base directory-1.0.0.0 old-time-1.0.0.0 containers-0.1.0.1
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/share/doc/ghc6-doc/libraries/hpc/hpc.haddock
haddock-html: /usr/share/doc/ghc6-doc/libraries/hpc
name: readline
version: 1.0.1.0
license: AllRightsReserved
copyright:
maintainer:
stability:
homepage:
package-url:
description:
category:
author:
exposed: True
exposed-modules: System.Console.Readline
                 System.Console.SimpleLineEditor
hidden-modules:
import-dirs: /usr/lib/ghc-6.8.2/lib/readline-1.0.1.0
library-dirs: /usr/lib/ghc-6.8.2/lib/readline-1.0.1.0
hs-libraries: HSreadline-1.0.1.0
extra-libraries: readline ncurses
extra-ghci-libraries:
include-dirs: /usr/lib/ghc-6.8.2/lib/readline-1.0.1.0/include
includes: HsReadline.h
depends: base process-1.0.0.0
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/share/doc/ghc6-doc/libraries/readline/readline.haddock
haddock-html: /usr/share/doc/ghc6-doc/libraries/readline
name: Cabal
version: 1.2.3.0
license: AllRightsReserved
copyright:
maintainer:
stability:
homepage:
package-url:
description:
category:
author:
exposed: True
exposed-modules: Distribution.Compiler Distribution.Extension
                 Distribution.Setup Distribution.InstalledPackageInfo
                 Distribution.License Distribution.Make Distribution.Package
                 Distribution.PackageDescription Distribution.Configuration
                 Distribution.ParseUtils Distribution.Simple
                 Distribution.Simple.Build Distribution.Simple.Compiler
                 Distribution.Simple.Configure Distribution.Simple.GHC
                 Distribution.Simple.GHC.Makefile
                 Distribution.Simple.GHC.PackageConfig Distribution.Simple.Haddock
                 Distribution.Simple.Hugs Distribution.Simple.Install
                 Distribution.Simple.InstallDirs Distribution.Simple.JHC
                 Distribution.Simple.LocalBuildInfo Distribution.Simple.NHC
                 Distribution.Simple.PreProcess Distribution.Simple.PreProcess.Unlit
                 Distribution.Simple.Program Distribution.Simple.Register
                 Distribution.Simple.Setup Distribution.Simple.SetupWrapper
                 Distribution.Simple.SrcDist Distribution.Simple.Utils
                 Distribution.System Distribution.Verbosity Distribution.Version
                 Distribution.Compat.ReadP Language.Haskell.Extension
hidden-modules: Distribution.GetOpt Distribution.Compat.Map
                Distribution.Compat.Directory Distribution.Compat.Exception
                Distribution.Compat.RawSystem Distribution.Compat.TempFile
import-dirs: /usr/lib/ghc-6.8.2/lib/Cabal-1.2.3.0
library-dirs: /usr/lib/ghc-6.8.2/lib/Cabal-1.2.3.0
hs-libraries: HSCabal-1.2.3.0
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: base pretty-1.0.0.0 directory-1.0.0.0 old-time-1.0.0.0
         process-1.0.0.0 containers-0.1.0.1 filepath-1.1.0.0
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/share/doc/ghc6-doc/libraries/Cabal/Cabal.haddock
haddock-html: /usr/share/doc/ghc6-doc/libraries/Cabal
name: random
version: 1.0.0.0
license: AllRightsReserved
copyright:
maintainer:
stability:
homepage:
package-url:
description:
category:
author:
exposed: True
exposed-modules: System.Random
hidden-modules:
import-dirs: /usr/lib/ghc-6.8.2/lib/random-1.0.0.0
library-dirs: /usr/lib/ghc-6.8.2/lib/random-1.0.0.0
hs-libraries: HSrandom-1.0.0.0
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: base old-time-1.0.0.0
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/share/doc/ghc6-doc/libraries/random/random.haddock
haddock-html: /usr/share/doc/ghc6-doc/libraries/random
name: haskell98
version: 
license: AllRightsReserved
copyright:
maintainer:
stability:
homepage:
package-url:
description:
category:
author:
exposed: True
exposed-modules: Array CPUTime Char Complex Directory IO Ix List
                 Locale Maybe Monad Random Ratio System Time Bits CError CForeign
                 CString CTypes ForeignPtr Int MarshalAlloc MarshalArray
                 MarshalError MarshalUtils Ptr StablePtr Storable Word
hidden-modules:
import-dirs: /usr/lib/ghc-6.8.2/lib/haskell98-1.0.1.0
library-dirs: /usr/lib/ghc-6.8.2/lib/haskell98-1.0.1.0
hs-libraries: HShaskell98-1.0.1.0
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: base directory-1.0.0.0 random-1.0.0.0 old-time-1.0.0.0
         old-locale-1.0.0.0 process-1.0.0.0 array-0.1.0.0
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/share/doc/ghc6-doc/libraries/haskell98/haskell98.haddock
haddock-html: /usr/share/doc/ghc6-doc/libraries/haskell98
name: ghc
version: 6.8.2
license: AllRightsReserved
copyright:
maintainer:
stability:
homepage:
package-url:
description:
category:
author:
exposed: False
exposed-modules: AsmCodeGen Bag BasicTypes BinIface Binary BitSet
                 Bitmap BuildTyCl ByteCodeAsm ByteCodeFFI ByteCodeGen ByteCodeInstr
                 ByteCodeItbls ByteCodeLink CLabel CSE CgBindery CgCallConv CgCase
                 CgClosure CgCon CgExpr CgForeignCall CgHeapery CgInfoTbls
                 CgLetNoEscape CgMonad CgParallel CgPrimOp CgProf CgStackery
                 CgTailCall CgTicky CgUtils Check Class ClosureInfo CmdLineParser
                 Cmm CmmLex CmmLint CmmParse CmmUtils CodeGen CodeOutput Config
                 Constants Convert CoreFVs CoreLint CorePrep CoreSubst CoreSyn
                 CoreTidy CoreToStg CoreUnfold CoreUtils CostCentre CprAnalyse Ctype
                 DataCon Debugger Demand Desugar Digraph DmdAnal DriverMkDepend
                 DriverPhases DriverPipeline DsArrows DsBinds DsCCall DsExpr
                 DsForeign DsGRHSs DsListComp DsMeta DsMonad DsUtils DynFlags
                 ErrUtils ExternalCore FastMutInt Encoding FastString FastTypes
                 FieldLabel Finder FiniteMap FlattenInfo FlattenMonad Flattening
                 FloatIn FloatOut ForeignCall FunDeps GHC Generics GhciMonad
                 HeaderInfo HsBinds HsDecls HsExpr HsImpExp HsLit HsPat HsSyn
                 HsTypes HsUtils HsDoc HscMain HscStats HscTypes IOEnv Id IdInfo
                 IfaceEnv IfaceSyn IfaceType IlxGen Inst InstEnv Java JavaGen
                 InteractiveUI Lexer LexCore LiberateCase Linker ListSetOps Literal
                 LoadIface MachCodeGen MachInstrs MachOp MachRegs Match MatchCon
                 MatchLit Maybes MkExternalCore MkId MkIface Module NCGMonad
                 NDPCoreUtils Name NameEnv NameSet NewDemand ObjLink OccName
                 OccurAnal OrdList Outputable PArrAnal PackageConfig Packages Panic
                 Parser ParserCoreUtils ParsePkgConf PositionIndependentCode PprC
                 PprCmm PprCore PprExternalCore PprMach PprTyThing PrelInfo
                 PrelNames PrintJava PrelRules Pretty PrimOp RdrHsSyn RdrName
                 RegAllocInfo RegisterAlloc RnBinds RnEnv RnExpr RnHsSyn RnNames
                 RnSource RnTypes RtClosureInspect Rules SAT SATMonad SCCfinal SMRep
                 SRT SaAbsInt SaLib SetLevels SimplCore SimplEnv SimplMonad SimplStg
                 SimplUtils Simplify SpecConstr Specialise SrcLoc StaticFlags
                 StgLint StgStats StgSyn StrictAnal StringBuffer SysTools TcArrows
                 TcBinds TcClassDcl TcDefaults TcDeriv TcEnv TcExpr TcForeign TcGadt
                 TcGenDeriv TcHsSyn TcHsType TcIface TcInstDcls TcMType TcMatches
                 TcPat TcRnDriver TcRnMonad TcRnTypes TcRules TcSimplify TcSplice
                 TcTyClsDecls TcTyDecls TcType TcUnify TidyPgm TyCon Type TypeRep
                 TysPrim TysWiredIn Unify UniqFM UniqSet UniqSupply Unique Util Var
                 VarEnv VarSet VectBuiltIn VectCore VectMonad VectType VectUtils
                 Vectorise WorkWrap WwLib HaddockParse HaddockLex
hidden-modules:
import-dirs: /usr/lib/ghc-6.8.2/hslibs-imports/ghc
library-dirs: /usr/lib/ghc-6.8.2
hs-libraries: HSghc
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: hpc-0.5.0.0 bytestring-0.9.0.1 unix-2.3.0.0 Cabal-1.2.3.0
         base haskell98
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/share/ghc-6.8.2/html/libraries/ghc/ghc.haddock
haddock-html: /usr/share/ghc-6.8.2/html/libraries/ghc
name: glib
version: 0.9.13
license: AllRightsReserved
copyright:
maintainer:
stability:
homepage:
package-url:
description:
category:
author:
exposed: True
exposed-modules: System.Glib System.Glib.Attributes System.Glib.FFI
                 System.Glib.Flags System.Glib.GDateTime System.Glib.GError
                 System.Glib.GList System.Glib.GObject System.Glib.GParameter
                 System.Glib.GType System.Glib.GTypeConstants System.Glib.GValue
                 System.Glib.GValueTypes System.Glib.MainLoop System.Glib.Properties
                 System.Glib.Signals System.Glib.StoreValue System.Glib.Types
                 System.Glib.UTFString
hidden-modules:
import-dirs: /usr/lib/haskell-packages/ghc6/lib/glib-0.9.13/imports
library-dirs: /usr/lib/haskell-packages/ghc6/lib/glib-0.9.13
hs-libraries: HSglib
extra-libraries: gobject-2.0 glib-2.0
extra-ghci-libraries:
include-dirs: /usr/include/glib-2.0 /usr/lib/glib-2.0/include
              /usr/lib/haskell-packages/ghc6/lib/glib-0.9.13/include
includes: glib.h glib-object.h
depends: base
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces:
haddock-html:
name: mtl
version: 1.1.0.0
license: AllRightsReserved
copyright:
maintainer:
stability:
homepage:
package-url:
description:
category:
author:
exposed: True
exposed-modules: Control.Monad.Cont Control.Monad.Cont.Class
                 Control.Monad.Error Control.Monad.Error.Class
                 Control.Monad.Identity Control.Monad.List Control.Monad.RWS
                 Control.Monad.RWS.Class Control.Monad.RWS.Lazy
                 Control.Monad.RWS.Strict Control.Monad.Reader
                 Control.Monad.Reader.Class Control.Monad.State
                 Control.Monad.State.Class Control.Monad.State.Lazy
                 Control.Monad.State.Strict Control.Monad.Trans Control.Monad.Writer
                 Control.Monad.Writer.Class Control.Monad.Writer.Lazy
                 Control.Monad.Writer.Strict
hidden-modules:
import-dirs: /usr/lib/mtl-1.1.0.0/ghc-6.8.2
library-dirs: /usr/lib/mtl-1.1.0.0/ghc-6.8.2
hs-libraries: HSmtl-1.1.0.0
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: base
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/share/doc/ghc6-doc/libraries/mtl/html/mtl.haddock
haddock-html: /usr/share/doc/ghc6-doc/libraries/mtl
name: cairo
version: 0.9.13
license: AllRightsReserved
copyright:
maintainer:
stability:
homepage:
package-url:
description:
category:
author:
exposed: True
exposed-modules: Graphics.Rendering.Cairo
                 Graphics.Rendering.Cairo.Internal
                 Graphics.Rendering.Cairo.Internal.Drawing.Cairo
                 Graphics.Rendering.Cairo.Internal.Drawing.Paths
                 Graphics.Rendering.Cairo.Internal.Drawing.Patterns
                 Graphics.Rendering.Cairo.Internal.Drawing.Text
                 Graphics.Rendering.Cairo.Internal.Drawing.Transformations
                 Graphics.Rendering.Cairo.Internal.Fonts.FontOptions
                 Graphics.Rendering.Cairo.Internal.Surfaces.Image
                 Graphics.Rendering.Cairo.Internal.Surfaces.PDF
                 Graphics.Rendering.Cairo.Internal.Surfaces.PNG
                 Graphics.Rendering.Cairo.Internal.Surfaces.PS
                 Graphics.Rendering.Cairo.Internal.Surfaces.SVG
                 Graphics.Rendering.Cairo.Internal.Surfaces.Surface
                 Graphics.Rendering.Cairo.Internal.Utilities
                 Graphics.Rendering.Cairo.Matrix Graphics.Rendering.Cairo.Types
hidden-modules:
import-dirs: /usr/lib/haskell-packages/ghc6/lib/cairo-0.9.13/imports
library-dirs: /usr/lib/haskell-packages/ghc6/lib/cairo-0.9.13
hs-libraries: HScairo
extra-libraries: cairo
extra-ghci-libraries:
include-dirs: /usr/include/cairo /usr/include/freetype2
              /usr/include/directfb /usr/include/libpng12 /usr/include/pixman-1
includes: cairo.h cairo-ps.h cairo-pdf.h cairo-svg.h
depends: base mtl-1.1.0.0 glib-0.9.13 bytestring-0.9.0.1
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces:
haddock-html:
name: gtk
version: 0.9.13
license: AllRightsReserved
copyright:
maintainer:
stability:
homepage:
package-url:
description:
category:
author:
exposed: True
exposed-modules: Graphics.UI.Gtk Graphics.UI.Gtk.Abstract.Bin
                 Graphics.UI.Gtk.Abstract.Box Graphics.UI.Gtk.Abstract.ButtonBox
                 Graphics.UI.Gtk.Abstract.Container
                 Graphics.UI.Gtk.Abstract.ContainerChildProperties
                 Graphics.UI.Gtk.Abstract.Misc Graphics.UI.Gtk.Abstract.Object
                 Graphics.UI.Gtk.Abstract.Paned Graphics.UI.Gtk.Abstract.Range
                 Graphics.UI.Gtk.Abstract.Scale Graphics.UI.Gtk.Abstract.Scrollbar
                 Graphics.UI.Gtk.Abstract.Separator Graphics.UI.Gtk.Abstract.Widget
                 Graphics.UI.Gtk.ActionMenuToolbar.Action
                 Graphics.UI.Gtk.ActionMenuToolbar.ActionGroup
                 Graphics.UI.Gtk.ActionMenuToolbar.RadioAction
                 Graphics.UI.Gtk.ActionMenuToolbar.ToggleAction
                 Graphics.UI.Gtk.ActionMenuToolbar.UIManager
                 Graphics.UI.Gtk.Buttons.Button Graphics.UI.Gtk.Buttons.CheckButton
                 Graphics.UI.Gtk.Buttons.RadioButton
                 Graphics.UI.Gtk.Buttons.ToggleButton Graphics.UI.Gtk.Cairo
                 Graphics.UI.Gtk.Display.AccelLabel Graphics.UI.Gtk.Display.Image
                 Graphics.UI.Gtk.Display.Label Graphics.UI.Gtk.Display.ProgressBar
                 Graphics.UI.Gtk.Display.StatusIcon
                 Graphics.UI.Gtk.Display.Statusbar
                 Graphics.UI.Gtk.Embedding.Embedding Graphics.UI.Gtk.Embedding.Plug
                 Graphics.UI.Gtk.Embedding.Socket Graphics.UI.Gtk.Entry.Editable
                 Graphics.UI.Gtk.Entry.Entry Graphics.UI.Gtk.Entry.EntryCompletion
                 Graphics.UI.Gtk.Entry.HScale Graphics.UI.Gtk.Entry.SpinButton
                 Graphics.UI.Gtk.Entry.VScale Graphics.UI.Gtk.Gdk.Cursor
                 Graphics.UI.Gtk.Gdk.DrawWindow Graphics.UI.Gtk.Gdk.Drawable
                 Graphics.UI.Gtk.Gdk.Enums Graphics.UI.Gtk.Gdk.Events
                 Graphics.UI.Gtk.Gdk.GC Graphics.UI.Gtk.Gdk.Gdk
                 Graphics.UI.Gtk.Gdk.Keys Graphics.UI.Gtk.Gdk.Pixbuf
                 Graphics.UI.Gtk.Gdk.PixbufData Graphics.UI.Gtk.Gdk.Pixmap
                 Graphics.UI.Gtk.Gdk.Region Graphics.UI.Gtk.Gdk.Screen
                 Graphics.UI.Gtk.General.Clipboard Graphics.UI.Gtk.General.DNDTypes
                 Graphics.UI.Gtk.General.Drag Graphics.UI.Gtk.General.Enums
                 Graphics.UI.Gtk.General.General Graphics.UI.Gtk.General.IconFactory
                 Graphics.UI.Gtk.General.Selection
                 Graphics.UI.Gtk.General.StockItems Graphics.UI.Gtk.General.Structs
                 Graphics.UI.Gtk.General.Style Graphics.UI.Gtk.Layout.Alignment
                 Graphics.UI.Gtk.Layout.AspectFrame Graphics.UI.Gtk.Layout.Expander
                 Graphics.UI.Gtk.Layout.Fixed Graphics.UI.Gtk.Layout.HBox
                 Graphics.UI.Gtk.Layout.HButtonBox Graphics.UI.Gtk.Layout.HPaned
                 Graphics.UI.Gtk.Layout.Layout Graphics.UI.Gtk.Layout.Notebook
                 Graphics.UI.Gtk.Layout.Table Graphics.UI.Gtk.Layout.VBox
                 Graphics.UI.Gtk.Layout.VButtonBox Graphics.UI.Gtk.Layout.VPaned
                 Graphics.UI.Gtk.MenuComboToolbar.CheckMenuItem
                 Graphics.UI.Gtk.MenuComboToolbar.Combo
                 Graphics.UI.Gtk.MenuComboToolbar.ComboBox
                 Graphics.UI.Gtk.MenuComboToolbar.ComboBoxEntry
                 Graphics.UI.Gtk.MenuComboToolbar.ImageMenuItem
                 Graphics.UI.Gtk.MenuComboToolbar.Menu
                 Graphics.UI.Gtk.MenuComboToolbar.MenuBar
                 Graphics.UI.Gtk.MenuComboToolbar.MenuItem
                 Graphics.UI.Gtk.MenuComboToolbar.MenuShell
                 Graphics.UI.Gtk.MenuComboToolbar.MenuToolButton
                 Graphics.UI.Gtk.MenuComboToolbar.OptionMenu
                 Graphics.UI.Gtk.MenuComboToolbar.RadioMenuItem
                 Graphics.UI.Gtk.MenuComboToolbar.RadioToolButton
                 Graphics.UI.Gtk.MenuComboToolbar.SeparatorMenuItem
                 Graphics.UI.Gtk.MenuComboToolbar.SeparatorToolItem
                 Graphics.UI.Gtk.MenuComboToolbar.TearoffMenuItem
                 Graphics.UI.Gtk.MenuComboToolbar.ToggleToolButton
                 Graphics.UI.Gtk.MenuComboToolbar.ToolButton
                 Graphics.UI.Gtk.MenuComboToolbar.ToolItem
                 Graphics.UI.Gtk.MenuComboToolbar.Toolbar
                 Graphics.UI.Gtk.Misc.Adjustment Graphics.UI.Gtk.Misc.Arrow
                 Graphics.UI.Gtk.Misc.Calendar Graphics.UI.Gtk.Misc.DrawingArea
                 Graphics.UI.Gtk.Misc.EventBox Graphics.UI.Gtk.Misc.HandleBox
                 Graphics.UI.Gtk.Misc.SizeGroup Graphics.UI.Gtk.Misc.Tooltips
                 Graphics.UI.Gtk.Misc.Viewport Graphics.UI.Gtk.ModelView
                 Graphics.UI.Gtk.ModelView.CellLayout
                 Graphics.UI.Gtk.ModelView.CellRenderer
                 Graphics.UI.Gtk.ModelView.CellRendererCombo
                 Graphics.UI.Gtk.ModelView.CellRendererPixbuf
                 Graphics.UI.Gtk.ModelView.CellRendererProgress
                 Graphics.UI.Gtk.ModelView.CellRendererText
                 Graphics.UI.Gtk.ModelView.CellRendererToggle
                 Graphics.UI.Gtk.ModelView.CellView
                 Graphics.UI.Gtk.ModelView.ComboBox
                 Graphics.UI.Gtk.ModelView.ComboBoxEntry
                 Graphics.UI.Gtk.ModelView.CustomStore
                 Graphics.UI.Gtk.ModelView.EntryCompletion
                 Graphics.UI.Gtk.ModelView.IconView
                 Graphics.UI.Gtk.ModelView.ListStore
                 Graphics.UI.Gtk.ModelView.Sequence
                 Graphics.UI.Gtk.ModelView.TreeDrag
                 Graphics.UI.Gtk.ModelView.TreeModel
                 Graphics.UI.Gtk.ModelView.TreeModelSort
                 Graphics.UI.Gtk.ModelView.TreeRowReference
                 Graphics.UI.Gtk.ModelView.TreeSelection
                 Graphics.UI.Gtk.ModelView.TreeSortable
                 Graphics.UI.Gtk.ModelView.TreeStore
                 Graphics.UI.Gtk.ModelView.TreeView
                 Graphics.UI.Gtk.ModelView.TreeViewColumn
                 Graphics.UI.Gtk.ModelView.Types
                 Graphics.UI.Gtk.Multiline.TextBuffer
                 Graphics.UI.Gtk.Multiline.TextIter
                 Graphics.UI.Gtk.Multiline.TextMark
                 Graphics.UI.Gtk.Multiline.TextTag
                 Graphics.UI.Gtk.Multiline.TextTagTable
                 Graphics.UI.Gtk.Multiline.TextView Graphics.UI.Gtk.Multiline.Types
                 Graphics.UI.Gtk.Ornaments.Frame
                 Graphics.UI.Gtk.Ornaments.HSeparator
                 Graphics.UI.Gtk.Ornaments.VSeparator
                 Graphics.UI.Gtk.Pango.Attributes Graphics.UI.Gtk.Pango.Context
                 Graphics.UI.Gtk.Pango.Description Graphics.UI.Gtk.Pango.Enums
                 Graphics.UI.Gtk.Pango.Font Graphics.UI.Gtk.Pango.GlyphStorage
                 Graphics.UI.Gtk.Pango.Layout Graphics.UI.Gtk.Pango.Markup
                 Graphics.UI.Gtk.Pango.Rendering Graphics.UI.Gtk.Pango.Structs
                 Graphics.UI.Gtk.Pango.Types Graphics.UI.Gtk.Scrolling.HScrollbar
                 Graphics.UI.Gtk.Scrolling.ScrolledWindow
                 Graphics.UI.Gtk.Scrolling.VScrollbar
                 Graphics.UI.Gtk.Selectors.ColorButton
                 Graphics.UI.Gtk.Selectors.ColorSelection
                 Graphics.UI.Gtk.Selectors.ColorSelectionDialog
                 Graphics.UI.Gtk.Selectors.FileChooser
                 Graphics.UI.Gtk.Selectors.FileChooserButton
                 Graphics.UI.Gtk.Selectors.FileChooserDialog
                 Graphics.UI.Gtk.Selectors.FileChooserWidget
                 Graphics.UI.Gtk.Selectors.FileFilter
                 Graphics.UI.Gtk.Selectors.FileSelection
                 Graphics.UI.Gtk.Selectors.FontButton
                 Graphics.UI.Gtk.Selectors.FontSelection
                 Graphics.UI.Gtk.Selectors.FontSelectionDialog
                 Graphics.UI.Gtk.Signals Graphics.UI.Gtk.TreeList.CellRenderer
                 Graphics.UI.Gtk.TreeList.CellRendererPixbuf
                 Graphics.UI.Gtk.TreeList.CellRendererText
                 Graphics.UI.Gtk.TreeList.CellRendererToggle
                 Graphics.UI.Gtk.TreeList.CellView Graphics.UI.Gtk.TreeList.IconView
                 Graphics.UI.Gtk.TreeList.ListStore
                 Graphics.UI.Gtk.TreeList.TreeIter
                 Graphics.UI.Gtk.TreeList.TreeModel
                 Graphics.UI.Gtk.TreeList.TreeModelSort
                 Graphics.UI.Gtk.TreeList.TreePath
                 Graphics.UI.Gtk.TreeList.TreeSelection
                 Graphics.UI.Gtk.TreeList.TreeStore
                 Graphics.UI.Gtk.TreeList.TreeView
                 Graphics.UI.Gtk.TreeList.TreeViewColumn Graphics.UI.Gtk.Types
                 Graphics.UI.Gtk.Windows.AboutDialog Graphics.UI.Gtk.Windows.Dialog
                 Graphics.UI.Gtk.Windows.MessageDialog
                 Graphics.UI.Gtk.Windows.Window Graphics.UI.Gtk.Windows.WindowGroup
hidden-modules:
import-dirs: /usr/lib/haskell-packages/ghc6/lib/gtk-0.9.13/imports
library-dirs: /usr/lib/haskell-packages/ghc6/lib/gtk-0.9.13
hs-libraries: HSgtk
extra-libraries: gtk-x11-2.0 gdk-x11-2.0 atk-1.0 gdk_pixbuf-2.0 m
                 pangocairo-1.0 pango-1.0 cairo gmodule-2.0 dl gthread-2.0 rt
extra-ghci-libraries:
include-dirs: /usr/include/pango-1.0 /usr/include/glib-2.0
              /usr/lib/glib-2.0/include /usr/include/gtk-2.0
              /usr/lib/gtk-2.0/include /usr/include/cairo /usr/include/freetype2
              /usr/include/directfb /usr/include/libpng12 /usr/include/pixman-1
              /usr/include/atk-1.0
includes: gtk/gtk.h
depends: base mtl-1.1.0.0 glib-0.9.13 cairo-0.9.13
         containers-0.1.0.1 array-0.1.0.0
hugs-options:
cc-options:
ld-options: -pthread
framework-dirs:
frameworks:
haddock-interfaces:
haddock-html:
Hsc static flags: -funregisterised -static
*** Chasing dependencies:
Chasing modules from: World.hs
Stable obj: [Main]
Stable BCO: []
Ready for upsweep
  [NONREC
      ModSummary {
         ms_hs_date = Mon May 19 02:37:47 CEST 2008
         ms_mod = main:Main,
         ms_imps = [Graphics.UI.Gtk]
         ms_srcimps = []
      }]
compile: input file World.hs
Created temporary directory: /tmp/ghc24977_0
*** Checking old interface for main:Main:
[1 of 1] Skipping  Main             ( World.hs, World.o )
*** Deleting temp files:
Deleting: /tmp/ghc24977_0/ghc24977_0.hc
Warning: deleting non-existent /tmp/ghc24977_0/ghc24977_0.hc
Upsweep completely successful.
*** Deleting temp files:
Deleting: 
link: linkables are ...
LinkableM (Tue Dec  9 23:31:24 CET 2008) main:Main
   [DotO World.o]
Linking World ...
*** Linker:
gcc -v -o World World.o -L/usr/lib/haskell-packages/ghc6/lib/gtk-0.9.13 -L/usr/lib/ghc-6.8.2/lib/containers-0.1.0.1 -L/usr/lib/haskell-packages/ghc6/lib/cairo-0.9.13 -L/usr/lib/haskell-packages/ghc6/lib/glib-0.9.13 -L/usr/lib/mtl-1.1.0.0/ghc-6.8.2 -L/usr/lib/ghc-6.8.2/lib/bytestring-0.9.0.1 -L/usr/lib/ghc-6.8.2/lib/array-0.1.0.0 -L/usr/lib/ghc-6.8.2/lib/base-3.0.1.0 -L/usr/lib/ghc-6.8.2 -lHSgtk -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgmodule-2.0 -ldl -lgthread-2.0 -lrt -pthread -lHScontainers-0.1.0.1 -lHScairo -lcairo -lHSglib -lgobject-2.0 -lglib-2.0 -lHSmtl-1.1.0.0 -lHSbytestring-0.9.0.1 -lHSarray-0.1.0.0 -lHSbase-3.0.1.0 -lHSrts -lm -lgmp -ldl -lrt -u base_GHCziBase_Izh_static_info -u base_GHCziBase_Czh_static_info -u base_GHCziFloat_Fzh_static_info -u base_GHCziFloat_Dzh_static_info -u base_GHCziPtr_Ptr_static_info -u base_GHCziWord_Wzh_static_info -u base_GHCziInt_I8zh_static_info -u base_GHCziInt_I16zh_static_info -u base_GHCziInt_I32zh_static_info -u base_GHCziInt_I64zh_static_info -u base_GHCziWord_W8zh_static_info -u base_GHCziWord_W16zh_static_info -u base_GHCziWord_W32zh_static_info -u base_GHCziWord_W64zh_static_info -u base_GHCziStable_StablePtr_static_info -u base_GHCziBase_Izh_con_info -u base_GHCziBase_Czh_con_info -u base_GHCziFloat_Fzh_con_info -u base_GHCziFloat_Dzh_con_info -u base_GHCziPtr_Ptr_con_info -u base_GHCziPtr_FunPtr_con_info -u base_GHCziStable_StablePtr_con_info -u base_GHCziBase_False_closure -u base_GHCziBase_True_closure -u base_GHCziPack_unpackCString_closure -u base_GHCziIOBase_stackOverflow_closure -u base_GHCziIOBase_heapOverflow_closure -u base_GHCziIOBase_NonTermination_closure -u base_GHCziIOBase_BlockedOnDeadMVar_closure -u base_GHCziIOBase_BlockedIndefinitely_closure -u base_GHCziIOBase_Deadlock_closure -u base_GHCziIOBase_NestedAtomically_closure -u base_GHCziWeak_runFinalizzerBatch_closure -u base_GHCziConc_ensureIOManagerIsRunning_closure
Using built-in specs.
Target: s390-linux-gnu
Configured with: ../src/configure -v --with-pkgversion='Debian 4.3.2-1' --with-bugurl=file:///usr/share/doc/gcc-4.3/README.Bugs --enable-languages=c,c++,fortran,objc,obj-c++ --prefix=/usr --enable-shared --with-system-zlib --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --enable-nls --with-gxx-include-dir=/usr/include/c++/4.3 --program-suffix=-4.3 --enable-clocale=gnu --enable-libstdcxx-debug --enable-objc-gc --enable-mpfr --with-long-double-128 --enable-checking=release --build=s390-linux-gnu --host=s390-linux-gnu --target=s390-linux-gnu
Thread model: posix
gcc version 4.3.2 (Debian 4.3.2-1) 
COMPILER_PATH=/usr/lib/gcc/s390-linux-gnu/4.3.2/:/usr/lib/gcc/s390-linux-gnu/4.3.2/:/usr/lib/gcc/s390-linux-gnu/:/usr/lib/gcc/s390-linux-gnu/4.3.2/:/usr/lib/gcc/s390-linux-gnu/:/usr/lib/gcc/s390-linux-gnu/4.3.2/:/usr/lib/gcc/s390-linux-gnu/
LIBRARY_PATH=/usr/lib/gcc/s390-linux-gnu/4.3.2/:/usr/lib/gcc/s390-linux-gnu/4.3.2/:/usr/lib/gcc/s390-linux-gnu/4.3.2/../../../../lib/:/lib/../lib/:/usr/lib/../lib/:/usr/lib/gcc/s390-linux-gnu/4.3.2/../../../:/lib/:/usr/lib/
COLLECT_GCC_OPTIONS='-v' '-o' 'World' '-L/usr/lib/haskell-packages/ghc6/lib/gtk-0.9.13' '-L/usr/lib/ghc-6.8.2/lib/containers-0.1.0.1' '-L/usr/lib/haskell-packages/ghc6/lib/cairo-0.9.13' '-L/usr/lib/haskell-packages/ghc6/lib/glib-0.9.13' '-L/usr/lib/mtl-1.1.0.0/ghc-6.8.2' '-L/usr/lib/ghc-6.8.2/lib/bytestring-0.9.0.1' '-L/usr/lib/ghc-6.8.2/lib/array-0.1.0.0' '-L/usr/lib/ghc-6.8.2/lib/base-3.0.1.0' '-L/usr/lib/ghc-6.8.2' '-pthread' '-u' 'base_GHCziBase_Izh_static_info' '-u' 'base_GHCziBase_Czh_static_info' '-u' 'base_GHCziFloat_Fzh_static_info' '-u' 'base_GHCziFloat_Dzh_static_info' '-u' 'base_GHCziPtr_Ptr_static_info' '-u' 'base_GHCziWord_Wzh_static_info' '-u' 'base_GHCziInt_I8zh_static_info' '-u' 'base_GHCziInt_I16zh_static_info' '-u' 'base_GHCziInt_I32zh_static_info' '-u' 'base_GHCziInt_I64zh_static_info' '-u' 'base_GHCziWord_W8zh_static_info' '-u' 'base_GHCziWord_W16zh_static_info' '-u' 'base_GHCziWord_W32zh_static_info' '-u' 'base_GHCziWord_W64zh_static_info' '-u' 'base_GHCziStable_StablePtr_static_info' '-u' 'base_GHCziBase_Izh_con_info' '-u' 'base_GHCziBase_Czh_con_info' '-u' 'base_GHCziFloat_Fzh_con_info' '-u' 'base_GHCziFloat_Dzh_con_info' '-u' 'base_GHCziPtr_Ptr_con_info' '-u' 'base_GHCziPtr_FunPtr_con_info' '-u' 'base_GHCziStable_StablePtr_con_info' '-u' 'base_GHCziBase_False_closure' '-u' 'base_GHCziBase_True_closure' '-u' 'base_GHCziPack_unpackCString_closure' '-u' 'base_GHCziIOBase_stackOverflow_closure' '-u' 'base_GHCziIOBase_heapOverflow_closure' '-u' 'base_GHCziIOBase_NonTermination_closure' '-u' 'base_GHCziIOBase_BlockedOnDeadMVar_closure' '-u' 'base_GHCziIOBase_BlockedIndefinitely_closure' '-u' 'base_GHCziIOBase_Deadlock_closure' '-u' 'base_GHCziIOBase_NestedAtomically_closure' '-u' 'base_GHCziWeak_runFinalizzerBatch_closure' '-u' 'base_GHCziConc_ensureIOManagerIsRunning_closure' '-m31' '-mesa' '-march=g5'
 /usr/lib/gcc/s390-linux-gnu/4.3.2/collect2 --eh-frame-hdr -m elf_s390 --hash-style=both -dynamic-linker /lib/ld.so.1 -o World -u base_GHCziBase_Izh_static_info -u base_GHCziBase_Czh_static_info -u base_GHCziFloat_Fzh_static_info -u base_GHCziFloat_Dzh_static_info -u base_GHCziPtr_Ptr_static_info -u base_GHCziWord_Wzh_static_info -u base_GHCziInt_I8zh_static_info -u base_GHCziInt_I16zh_static_info -u base_GHCziInt_I32zh_static_info -u base_GHCziInt_I64zh_static_info -u base_GHCziWord_W8zh_static_info -u base_GHCziWord_W16zh_static_info -u base_GHCziWord_W32zh_static_info -u base_GHCziWord_W64zh_static_info -u base_GHCziStable_StablePtr_static_info -u base_GHCziBase_Izh_con_info -u base_GHCziBase_Czh_con_info -u base_GHCziFloat_Fzh_con_info -u base_GHCziFloat_Dzh_con_info -u base_GHCziPtr_Ptr_con_info -u base_GHCziPtr_FunPtr_con_info -u base_GHCziStable_StablePtr_con_info -u base_GHCziBase_False_closure -u base_GHCziBase_True_closure -u base_GHCziPack_unpackCString_closure -u base_GHCziIOBase_stackOverflow_closure -u base_GHCziIOBase_heapOverflow_closure -u base_GHCziIOBase_NonTermination_closure -u base_GHCziIOBase_BlockedOnDeadMVar_closure -u base_GHCziIOBase_BlockedIndefinitely_closure -u base_GHCziIOBase_Deadlock_closure -u base_GHCziIOBase_NestedAtomically_closure -u base_GHCziWeak_runFinalizzerBatch_closure -u base_GHCziConc_ensureIOManagerIsRunning_closure /usr/lib/gcc/s390-linux-gnu/4.3.2/../../../../lib/crt1.o /usr/lib/gcc/s390-linux-gnu/4.3.2/../../../../lib/crti.o /usr/lib/gcc/s390-linux-gnu/4.3.2/crtbegin.o -L/usr/lib/haskell-packages/ghc6/lib/gtk-0.9.13 -L/usr/lib/ghc-6.8.2/lib/containers-0.1.0.1 -L/usr/lib/haskell-packages/ghc6/lib/cairo-0.9.13 -L/usr/lib/haskell-packages/ghc6/lib/glib-0.9.13 -L/usr/lib/mtl-1.1.0.0/ghc-6.8.2 -L/usr/lib/ghc-6.8.2/lib/bytestring-0.9.0.1 -L/usr/lib/ghc-6.8.2/lib/array-0.1.0.0 -L/usr/lib/ghc-6.8.2/lib/base-3.0.1.0 -L/usr/lib/ghc-6.8.2 -L/usr/lib/gcc/s390-linux-gnu/4.3.2 -L/usr/lib/gcc/s390-linux-gnu/4.3.2 -L/usr/lib/gcc/s390-linux-gnu/4.3.2/../../../../lib -L/lib/../lib -L/usr/lib/../lib -L/usr/lib/gcc/s390-linux-gnu/4.3.2/../../.. World.o -lHSgtk -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgmodule-2.0 -ldl -lgthread-2.0 -lrt -lHScontainers-0.1.0.1 -lHScairo -lcairo -lHSglib -lgobject-2.0 -lglib-2.0 -lHSmtl-1.1.0.0 -lHSbytestring-0.9.0.1 -lHSarray-0.1.0.0 -lHSbase-3.0.1.0 -lHSrts -lm -lgmp -ldl -lrt -lgcc --as-needed -lgcc_s --no-as-needed -lpthread -lc -lgcc --as-needed -lgcc_s --no-as-needed /usr/lib/gcc/s390-linux-gnu/4.3.2/crtend.o /usr/lib/gcc/s390-linux-gnu/4.3.2/../../../../lib/crtn.o
World.o: In function `s2Ni_ret':
ghc2689_0.hc:(.text+0xfc): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziGeneralziGeneral_mainGUI_closure'
World.o: In function `s2KO_entry':
ghc2689_0.hc:(.text+0x2a0): undefined reference to `glibzm0zi9zi13_SystemziGlibziAttributes_set_closure'
ghc2689_0.hc:(.text+0x2b0): undefined reference to `glibzm0zi9zi13_SystemziGlibziAttributes_ZCze_con_info'
World.o: In function `s2K5_entry':
ghc2689_0.hc:(.text+0xf00): undefined reference to `glibzm0zi9zi13_SystemziGlibziAttributes_set_closure'
ghc2689_0.hc:(.text+0xf10): undefined reference to `glibzm0zi9zi13_SystemziGlibziAttributes_ZCze_con_info'
World.o: In function `s2MY_ret':
ghc2689_0.hc:(.text+0x10f4): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziButtonsziButton_buttonNew_closure'
World.o: In function `s2JL_entry':
ghc2689_0.hc:(.text+0x1360): undefined reference to `glibzm0zi9zi13_SystemziGlibziAttributes_set_closure'
ghc2689_0.hc:(.text+0x1378): undefined reference to `glibzm0zi9zi13_SystemziGlibziAttributes_ZCze_con_info'
World.o: In function `s2Js_entry':
ghc2689_0.hc:(.text+0x1564): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziGeneralziGeneral_mainQuit_closure'
World.o: In function `s2MM_ret':
ghc2689_0.hc:(.text+0x1714): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziWindowsziWindow_windowNew_closure'
World.o: In function `s2MI_ret':
ghc2689_0.hc:(.text+0x182c): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziGeneralziGeneral_initGUI_closure'
World.o: In function `__stginit_Main_':
ghc2689_0.hc:(.text+0x18b0): undefined reference to `__stginit_gtkzm0zi9zi13_GraphicsziUIziGtk_'
World.o: In function `r2IL_entry':
ghc2689_0.hc:(.text+0x19b4): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf551_closure'
ghc2689_0.hc:(.text+0x19b8): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziAbstractziWidget_widgetShowAll_closure'
World.o: In function `r2IN_entry':
ghc2689_0.hc:(.text+0x1aa4): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf551_closure'
ghc2689_0.hc:(.text+0x1aa8): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf663_closure'
ghc2689_0.hc:(.text+0x1aac): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziAbstractziContainer_containerChild_closure'
World.o: In function `r2IP_entry':
ghc2689_0.hc:(.text+0x1b8c): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf551_closure'
ghc2689_0.hc:(.text+0x1b90): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziAbstractziWidget_widgetDestroy_closure'
World.o: In function `r2IR_entry':
ghc2689_0.hc:(.text+0x1c70): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf663_closure'
ghc2689_0.hc:(.text+0x1c74): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziButtonsziButton_onClicked_closure'
World.o: In function `r2IT_entry':
ghc2689_0.hc:(.text+0x1d54): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf663_closure'
ghc2689_0.hc:(.text+0x1d58): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziButtonsziButton_buttonLabel_closure'
World.o: In function `r2IV_entry':
ghc2689_0.hc:(.text+0x1e38): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf551_closure'
ghc2689_0.hc:(.text+0x1e3c): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziWindowsziWindow_windowTitle_closure'
World.o: In function `r2IX_entry':
ghc2689_0.hc:(.text+0x1f1c): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf551_closure'
ghc2689_0.hc:(.text+0x1f20): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziAbstractziContainer_containerBorderWidth_closure'
World.o: In function `r2IZ_entry':
ghc2689_0.hc:(.text+0x2000): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf551_closure'
ghc2689_0.hc:(.text+0x2004): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziAbstractziWidget_onDestroy_closure'
World.o:(.data+0xc): undefined reference to `glibzm0zi9zi13_SystemziGlibziAttributes_set_closure'
World.o:(.data+0x10): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziGeneralziGeneral_initGUI_closure'
World.o:(.data+0x14): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziGeneralziGeneral_mainGUI_closure'
World.o:(.data+0x18): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziGeneralziGeneral_mainQuit_closure'
World.o:(.data+0x1c): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziWindowsziWindow_windowNew_closure'
World.o:(.data+0x20): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziButtonsziButton_buttonNew_closure'
World.o:(.data+0x4a8): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziAbstractziWidget_widgetShowAll_closure'
World.o:(.data+0x4ac): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf551_closure'
World.o:(.data+0x4b0): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziAbstractziContainer_containerChild_closure'
World.o:(.data+0x4b4): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf663_closure'
World.o:(.data+0x4b8): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf551_closure'
World.o:(.data+0x4bc): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziAbstractziWidget_widgetDestroy_closure'
World.o:(.data+0x4c0): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf551_closure'
World.o:(.data+0x4c4): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziButtonsziButton_onClicked_closure'
World.o:(.data+0x4c8): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf663_closure'
World.o:(.data+0x4cc): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziButtonsziButton_buttonLabel_closure'
World.o:(.data+0x4d0): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf663_closure'
World.o:(.data+0x4d4): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziWindowsziWindow_windowTitle_closure'
World.o:(.data+0x4d8): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf551_closure'
World.o:(.data+0x4dc): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziAbstractziContainer_containerBorderWidth_closure'
World.o:(.data+0x4e0): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf551_closure'
World.o:(.data+0x4e4): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziAbstractziWidget_onDestroy_closure'
World.o:(.data+0x4e8): undefined reference to `gtkzm0zi9zi13_GraphicsziUIziGtkziTypes_zdf551_closure'
collect2: ld returned 1 exit status
*** Deleting temp files:
Deleting: 
*** Deleting temp dirs:
Deleting: /tmp/ghc24977_0

I've noticed that the
file /usr/lib/haskell-packages/ghc6/lib/gtk-0.9.13/libHSgtk.a have very
different sizes in some architectures:

amd64 29M
arm 66K
armel 67K
hppa 77K
i386 20M
ia64 128K
kfreebsd-i386 59K
mips 88K
mipsel 88K
powerpc 75K
s390 70K
sparc 68K

This made me have the suspicion that it's not working in any other
architecture than i386 and amd64.  Bugs were reported on arm and s390,
and I'm testing it in mips by now.

Em Qua, 2008-12-10 às 12:18 +0000, Duncan Coutts escreveu:
> I suggest you file a ticket in the ghc bug tracker with full details
> of the problem. To keep things simple, only report the problem in the
> default case of not using split-objs. Adding split-objs into the mix
> only makes things more complex.

Ok.  In S390 it was built with --disable-split-objs.  In other arches
this option is used, so the problem is present with or without it.

I've opened a bug for it in GHC bug tracker:
http://hackage.haskell.org/trac/ghc/ticket/2869

Greetings.

-- 
marcot
http://marcot.iaaeee.org/






Information forwarded to debian-bugs-dist@lists.debian.org, Marco Túlio Gontijo e Silva <marcot@holoscopio.com>:
Bug#482503; Package libghc6-gtk-dev. (Wed, 10 Dec 2008 15:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Duncan Coutts <duncan.coutts@worc.ox.ac.uk>:
Extra info received and forwarded to list. Copy sent to Marco Túlio Gontijo e Silva <marcot@holoscopio.com>. (Wed, 10 Dec 2008 15:36:02 GMT) Full text and rfc822 format available.

Message #73 received at 482503@bugs.debian.org (full text, mbox):

From: Duncan Coutts <duncan.coutts@worc.ox.ac.uk>
To: Marco Túlio Gontijo e Silva <marcot@holoscopio.com>
Cc: 482503@bugs.debian.org
Subject: Re: Problem still present also in S390
Date: Wed, 10 Dec 2008 15:34:49 +0000
On Wed, 2008-12-10 at 09:36 -0200, Marco Túlio Gontijo e Silva wrote:
> Hello,
> 
> Gustavo Noronha Silva <kov@debian.org> helped me testing the actual
> version (0.9.13-4) in raptor.debian.org, which is S390, and the bug is
> still present.  So, just by using --disable-split-objs was not enough to
> fix it in this architecture.  I haven't tested in ARM with
> --disable-split-objs, but I don't think it'd work, since it haven't in
> S390.
> 
> I have no ideas about this by now, so I'm mailing also Duncan Coutts to
> help us.
> 
> Em Mon, 2008-06-02 às 11:52 +0100 Duncan Coutts escreveu:
> > If this happens only on this arch I'd blame either:
> > 1. linker/toolchain bugs
> > 2. ghc split-objs
> 
> It's at least in two arches now, and the ghc split-objs option is not
> the problem, so is it a linker/toolchain bug?

According to the ticket you filed in the ghc bug tracker you've not been
using --disable-split-objs.

http://hackage.haskell.org/trac/ghc/ticket/2869

The ticket links to the latest S390 build result and that is not using
--disable-split-objs. If you can find a build log that does use
--disable-split-objs then re-open the above ghc ticket and link to the
build log.

Duncan





Reply sent to Marco Túlio Gontijo e Silva <marcot@holoscopio.com>:
You have taken responsibility. (Thu, 18 Dec 2008 15:45:06 GMT) Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. (Thu, 18 Dec 2008 15:45:06 GMT) Full text and rfc822 format available.

Message #78 received at 482503-close@bugs.debian.org (full text, mbox):

From: Marco Túlio Gontijo e Silva <marcot@holoscopio.com>
To: 482503-close@bugs.debian.org
Subject: Bug#482503: fixed in gtk2hs 0.9.13-5
Date: Thu, 18 Dec 2008 15:32:06 +0000
Source: gtk2hs
Source-Version: 0.9.13-5

We believe that the bug you reported is fixed in the latest version of
gtk2hs, which is due to be installed in the Debian FTP archive:

gtk2hs-doc_0.9.13-5_all.deb
  to pool/main/g/gtk2hs/gtk2hs-doc_0.9.13-5_all.deb
gtk2hs_0.9.13-5.diff.gz
  to pool/main/g/gtk2hs/gtk2hs_0.9.13-5.diff.gz
gtk2hs_0.9.13-5.dsc
  to pool/main/g/gtk2hs/gtk2hs_0.9.13-5.dsc
libghc6-cairo-dev_0.9.13-5_i386.deb
  to pool/main/g/gtk2hs/libghc6-cairo-dev_0.9.13-5_i386.deb
libghc6-gconf-dev_0.9.13-5_i386.deb
  to pool/main/g/gtk2hs/libghc6-gconf-dev_0.9.13-5_i386.deb
libghc6-glade-dev_0.9.13-5_i386.deb
  to pool/main/g/gtk2hs/libghc6-glade-dev_0.9.13-5_i386.deb
libghc6-glib-dev_0.9.13-5_i386.deb
  to pool/main/g/gtk2hs/libghc6-glib-dev_0.9.13-5_i386.deb
libghc6-gnomevfs-dev_0.9.13-5_i386.deb
  to pool/main/g/gtk2hs/libghc6-gnomevfs-dev_0.9.13-5_i386.deb
libghc6-gstreamer-dev_0.9.13-5_i386.deb
  to pool/main/g/gtk2hs/libghc6-gstreamer-dev_0.9.13-5_i386.deb
libghc6-gtk-dev_0.9.13-5_i386.deb
  to pool/main/g/gtk2hs/libghc6-gtk-dev_0.9.13-5_i386.deb
libghc6-gtkglext-dev_0.9.13-5_i386.deb
  to pool/main/g/gtk2hs/libghc6-gtkglext-dev_0.9.13-5_i386.deb
libghc6-soegtk-dev_0.9.13-5_i386.deb
  to pool/main/g/gtk2hs/libghc6-soegtk-dev_0.9.13-5_i386.deb
libghc6-sourceview-dev_0.9.13-5_i386.deb
  to pool/main/g/gtk2hs/libghc6-sourceview-dev_0.9.13-5_i386.deb
libghc6-svgcairo-dev_0.9.13-5_i386.deb
  to pool/main/g/gtk2hs/libghc6-svgcairo-dev_0.9.13-5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 482503@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marco Túlio Gontijo e Silva <marcot@holoscopio.com> (supplier of updated gtk2hs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 15 Dec 2008 19:14:20 -0200
Source: gtk2hs
Binary: libghc6-glib-dev libghc6-cairo-dev libghc6-gconf-dev libghc6-gnomevfs-dev libghc6-gstreamer-dev libghc6-gtk-dev libghc6-svgcairo-dev libghc6-glade-dev libghc6-gtkglext-dev libghc6-sourceview-dev libghc6-soegtk-dev gtk2hs-doc
Architecture: source all i386
Version: 0.9.13-5
Distribution: unstable
Urgency: low
Maintainer: Marco Túlio Gontijo e Silva <marcot@holoscopio.com>
Changed-By: Marco Túlio Gontijo e Silva <marcot@holoscopio.com>
Description: 
 gtk2hs-doc - A GUI library for Haskell (Gtk2Hs) -- documentation and examples
 libghc6-cairo-dev - A GUI library for Haskell (Gtk2Hs) -- Cairo bindings
 libghc6-gconf-dev - A GUI library for Haskell (Gtk2Hs) -- GConf bindings
 libghc6-glade-dev - A GUI library for Haskell (Gtk2Hs) -- libglade bindings
 libghc6-glib-dev - A GUI library for Haskell (Gtk2Hs) -- GLib bindings
 libghc6-gnomevfs-dev - A GUI library for Haskell (Gtk2Hs) -- GNOME VFS bindings
 libghc6-gstreamer-dev - A GUI library for Haskell (Gtk2Hs) -- GStreamer bindings
 libghc6-gtk-dev - A GUI library for Haskell (Gtk2Hs) -- GTK+ bindings
 libghc6-gtkglext-dev - A GUI library for Haskell (Gtk2Hs) -- gtkglext bindings
 libghc6-soegtk-dev - A GUI library for Haskell (Gtk2Hs) -- soegtk bindings
 libghc6-sourceview-dev - A GUI library for Haskell (Gtk2Hs) -- GtkSourceView bindings
 libghc6-svgcairo-dev - A GUI library for Haskell (Gtk2Hs) -- GTK+ bindings
Closes: 482503
Changes: 
 gtk2hs (0.9.13-5) unstable; urgency=low
 .
   * Only use --disable-split-objs in amd64 and i386.  Thanks to Iván Pérez
     Domínguez <ivanperezdominguez@gmail.com>.  (Closes: 482503)
   * Update architecture list.
Checksums-Sha1: 
 bbdd87062f3f792c9b4c6d0d1f6deeb5768a5a78 1741 gtk2hs_0.9.13-5.dsc
 657f6554c6f055a0b69fcd95b249b702d6287fa8 9504 gtk2hs_0.9.13-5.diff.gz
 5c6304f84de364f77397424dd98446c634c59ae1 1236426 gtk2hs-doc_0.9.13-5_all.deb
 918488544994b81af767296d5e9479b9dd2160d6 325238 libghc6-glib-dev_0.9.13-5_i386.deb
 7bc5d89af62ebc72c7215a7019558ba456cad173 453018 libghc6-cairo-dev_0.9.13-5_i386.deb
 72c1f9eccf9d80a3ba4b4d5491f47fa6c5d62420 184154 libghc6-gconf-dev_0.9.13-5_i386.deb
 3a53e86c0a1f5dacdec713cd18963f4b96e99ae7 631786 libghc6-gnomevfs-dev_0.9.13-5_i386.deb
 55e7d113f074c115b524ec32cd6cb6d1c4443808 1237246 libghc6-gstreamer-dev_0.9.13-5_i386.deb
 39606ab452a200c4164eae4a727c317a5fea7668 4239302 libghc6-gtk-dev_0.9.13-5_i386.deb
 d49000a10abc422ce88a9675e0d6fb6125e51486 97580 libghc6-svgcairo-dev_0.9.13-5_i386.deb
 ada46b851f9d28781af7fe65169a38f70e561674 102396 libghc6-glade-dev_0.9.13-5_i386.deb
 8b4df619435128fde94dcfc15cc947bab3f2ca14 168354 libghc6-gtkglext-dev_0.9.13-5_i386.deb
 5ae915204f5e611319c4b4eda0f95380fdec193e 202432 libghc6-sourceview-dev_0.9.13-5_i386.deb
 dc22bda1a57cca17af071e72b84da70ad687c5fa 199166 libghc6-soegtk-dev_0.9.13-5_i386.deb
Checksums-Sha256: 
 ded1b347114366f828fbf4190cbe9ed6c50ca3004f997c8b79a4fdc0bc671cb8 1741 gtk2hs_0.9.13-5.dsc
 3e545744863c31aa37ccb2ffbc172427081b6ae9c8894926c4882b85495b11d8 9504 gtk2hs_0.9.13-5.diff.gz
 cea15dce135af7f5f10ade72ae26aba15e682649f0e061e235b951e443c171c0 1236426 gtk2hs-doc_0.9.13-5_all.deb
 fdace78e74f393dffa5cdccd5ac75364563fdc325ff0b8ef7ec4769f197c7355 325238 libghc6-glib-dev_0.9.13-5_i386.deb
 5a72be5c4e535f5ef126ba7ac238466d2eaa7206b644e6789eb2246c225e518b 453018 libghc6-cairo-dev_0.9.13-5_i386.deb
 31917db9a81188cc34883031a8a7f1132c43ea8249df1533cae4fa113fa47d7a 184154 libghc6-gconf-dev_0.9.13-5_i386.deb
 9e30b796c21e5bda9846cfce7a265db1e5a159494f677c68f4126034b02cfc56 631786 libghc6-gnomevfs-dev_0.9.13-5_i386.deb
 97e6f5ebfb46625b90a1b3d6c47280de5b9df9c5b57d98153a0647a27b1aa74a 1237246 libghc6-gstreamer-dev_0.9.13-5_i386.deb
 5a68b536c5826563dccd5791b49694fec57132718936ece8e1e1cfa97b467fdf 4239302 libghc6-gtk-dev_0.9.13-5_i386.deb
 18c40e0ecf7570ff0d0d6eea80bc14cc2777d96d7116d68eb226dc83552f1216 97580 libghc6-svgcairo-dev_0.9.13-5_i386.deb
 67d0ef67143b8032129c856469cd6a5193ceb6dfbb40744cbb6684473eae9ae6 102396 libghc6-glade-dev_0.9.13-5_i386.deb
 08c912e3e7744113f8477162094888396acdf626bfe171056ed7aaeb2a526209 168354 libghc6-gtkglext-dev_0.9.13-5_i386.deb
 3dc5187aa951bb0d03c5e01162dd1061146f7c6e7cae1fdc21e716fb44df5ff2 202432 libghc6-sourceview-dev_0.9.13-5_i386.deb
 0ce469c5a7297b5031696589bcf4f809fb4bc95e5a1da684f1bc55c384728299 199166 libghc6-soegtk-dev_0.9.13-5_i386.deb
Files: 
 b4ad8f503d6964c6b845f33c40d33f17 1741 libdevel optional gtk2hs_0.9.13-5.dsc
 c5f57f21d42d3b5fbeef2a5c35c9b7c7 9504 libdevel optional gtk2hs_0.9.13-5.diff.gz
 9834ff6a969725bf7854ce5395fbdd43 1236426 doc optional gtk2hs-doc_0.9.13-5_all.deb
 657887811054861460fa54166fd71c24 325238 libdevel optional libghc6-glib-dev_0.9.13-5_i386.deb
 cddb8f470a4d5af3bc91963321ed3361 453018 libdevel optional libghc6-cairo-dev_0.9.13-5_i386.deb
 3015381d24d930e70a4ed3dab8bfe1f6 184154 libdevel optional libghc6-gconf-dev_0.9.13-5_i386.deb
 a53d4d8feff4d3d833d56abf97253366 631786 libdevel optional libghc6-gnomevfs-dev_0.9.13-5_i386.deb
 398a04826ddc9dc4b5982945425b97f9 1237246 libdevel optional libghc6-gstreamer-dev_0.9.13-5_i386.deb
 42716b6eb085394a6de0266686311ddb 4239302 libdevel optional libghc6-gtk-dev_0.9.13-5_i386.deb
 5ff0adf0743dd5a8bffb5feaabc6b8da 97580 libdevel optional libghc6-svgcairo-dev_0.9.13-5_i386.deb
 d17cd75c65405ba7f44fca4a097a6ede 102396 libdevel optional libghc6-glade-dev_0.9.13-5_i386.deb
 29529aaa8b479e5ab49cb3aec4cc48c4 168354 libdevel optional libghc6-gtkglext-dev_0.9.13-5_i386.deb
 db55df7e28d9d212dce7b06ec1a0f99f 202432 libdevel optional libghc6-sourceview-dev_0.9.13-5_i386.deb
 043b58a4fda8e6c0b4f4e33c4978c6b9 199166 libdevel optional libghc6-soegtk-dev_0.9.13-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAklKaEgACgkQ9ijrk0dDIGykTwCghN0ZmKEt4G1P8GidTD51ptRw
/OEAoInXxa4H6sTG/z0FNuPh6Qkc8Clb
=nGOs
-----END PGP SIGNATURE-----





Reply sent to Marco Túlio Gontijo e Silva <marcot@holoscopio.com>:
You have taken responsibility. (Thu, 18 Dec 2008 15:45:07 GMT) Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. (Thu, 18 Dec 2008 15:45:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 19 Mar 2009 07:26:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:23:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.